0.247 2022-08-31
----------------


MAME Testers bugs fixed
-----------------------
- 08342: [Sound] (sinclair/spectrum.cpp) spec128 [cobrasar and clones]: Voice-over is missing in Cobra’s Arc. (holub)
- 08377: [Graphics] (sharp/x68k.cpp) keeper: Tree on title screen appears in front of Success logo. (Carl)
- 08390: [Crash/Freeze] (sinclair/pentagon.cpp) pentagon: Main menu freezes after boot. (holub)
- 08401: [Crash/Freeze] (kaneko/suprnova.cpp) galpans3: Memory corruption causes emulator to crash. (hap)
- 08404: [DIP/Input] (namco/namcos86.cpp) wndrmomo: Game should use eight-way joysticks. (Steven Coomber)


New working machines
--------------------
BMX Stunts [Ivan Vangelista, hap, chaneman, Andrew Welburn]
Casio Celviano AP-10 [Devin Acker]
Casio CTK-601 [Devin Acker, Gabriel Miceli]
Casio GZ-70SP [Devin Acker]
The Dracula (Tsukuda) [hap, Sean Riddle, Parotaku, eggs]
Nippon Mail Service Micom Mahjong [hap, David Haywood, Sly DC]
Texas Instruments Language Teacher [hap, Sean Riddle]
Tsukuda Game Pachinko [hap, Sean Riddle, Rik, eggs]


New working clones
------------------
B.Rap Boys Special (World, older) [nnap]
Battle Garegga (Japan, bootleg) (Sat Feb 3 1996) [nnap]
Battle Garegga (Korea / Greece) (Wed Feb 7 1996) [juking]
Big Kong (Crazy Kong bootleg on Galaxian hardware) [chaneman]
Dancing Eyes (World, DC2/VER.B) [rtw, Brian Troha, Bill D., The Dumping Union]
Games V21.1C [Brian Troha, The Dumping Union]
Guitar Freaks (GQ886 VER. AAA) [Taro]
Guitar Freaks (GQ886 VER. EAA) [Taro]
Guitar Freaks (GQ886 VER. JAA) [Taro]
Guitar Freaks (GQ886 VER. UAA) [Taro]
Miss Packman Plus [Marc Deslauriers]
Red Earth (Asia 961023, NO CD) [Darksoft, MetalliC]
Red Earth (Asia 961121, NO CD) [Darksoft, MetalliC]
Systema? TV Boy (PAL) [Thomas Jentzsch, kmg]
Texas Instruments Language Translator [hap, Sean Riddle, Darksoft]
Trivia Master (set 5) [chaneman]
Turbo Force (US, set 2) [Bill D., Brian Troha, The Dumping Union]


Machines promoted to working
----------------------------
Apple Computer Macintosh LC II [R. Belmont]
Dino Dino (Ver. A1.1, 01/13/2005) [O. Galibert, Luca Elia, Ivan Vangelista, Guru]
Lucky 7 (Impera) V04/91a [Paul-Arnold]
M&D Monon Color [Peter Wilhelmsen, David Haywood]
Magic Bomb (Ver. L3.5S) [Luca Elia, Ivan Vangelista, Angelo Salese, Phil Bennet, Cristiano-MDQ]
Magic Card (v1.10 14.09.94) [Paul-Arnold]
Puzzle Me! [Paul-Arnold]
Stone Age (Astro, Ver. EN.03.A, 2005/02/21) [O. Galibert, Luca Elia, ANY, The Dumping Union]
swtpc S/09 Sbug [68bit]
Win Win Bingo (Ver. GM.03.3, Feb 23 2006) [O. Galibert, Luca Elia, Ivan Vangelista, f205v, Filippo Tarderia]
Zoo (Ver. ZO.02.D, Aug 27 2004) [O. Galibert, Luca Elia, Ivan Vangelista, Brian Troha, The Dumping Union]


Clones promoted to working
--------------------------
Hacher (hack of Win Win Bingo EN.01.6) [O. Galibert, Luca Elia, Ivan Vangelista, ANY, The Dumping Union]
Magic Bomb (Ver. A3.1) [Luca Elia, Ivan Vangelista, Angelo Salese, Phil Bennett, Cristiano-MDQ]
Magic Card (v1.2 200/93, set 1) [Paul-Arnold]
Magic Card Export 94 (V2.11a, set 3) [Paul-Arnold]
MicroART ATM-Turbo 2 [holub]
Super Pinball Action (US, prototype, dual screen) [David Haywood]
swtpc S/09 OS9 [68bit]
swtpc S/09 Sbug + piaide [68bit]
swtpc S/09 UNIBug + DMAF2 [68bit]
swtpc S/09 UNIBug + DMAF3 [68bit]


New machines marked as NOT_WORKING
----------------------------------
Atari Europe Hit Parade 108 / 144 / 160 [hap, Sean Riddle]
Big Apple (Leisure Games) (MPU1) (5p Stake, £1 Jackpot) [SomeRandomGuyIdk]
Big Apple (Leisure Games) (MPU1) (5p Stake, £2 Jackpot) [SomeRandomGuyIdk]
DANCE 86.4 FUNKY RADIO STATION (E01:J:A:A:2005040400) [Taro]
Dance Dance Revolution Karaoke Mix 2 (GQ947 VER. JAA) [Taro]
Dance Dance Revolution SuperNOVA (FDH:A:A:A:2006071300) [Taro, Windy Fairy, Shiz]
Dance Dance Revolution SuperNOVA (FDH:J:A:A:2006090600) [Taro, Windy Fairy, Shiz]
Dance Dance Revolution SuperNOVA (FDH:U:A:A:2006072400) [Taro, Windy Fairy, Shiz]
Dance Dance Revolution SuperNOVA 2 (GDJ:A:A:A:2007100800) [Taro, Windy Fairy, Shiz]
Dance Dance Revolution SuperNOVA 2 (GDJ:J:A:A:2007100800) [Taro, Windy Fairy, Shiz]
Dance Dance Revolution SuperNOVA 2 (GDJ:U:A:A:2007100800) [Taro, Windy Fairy, Shiz]
Dancing Stage SuperNOVA (FDH:E:A:A:2006072500) [Shiz, Windy Fairy]
DrumMania V (E02:A:A:A:2005050200) [Taro, Windy Fairy, Shiz]
DrumMania V (E02:J:A:A:2005050200) [Taro, Windy Fairy, Shiz]
DrumMania V2 (F02:A:A:A:2006011201) [Taro, Windy Fairy, Shiz]
DrumMania V2 (F02:J:A:A:2006011201) [Taro, Windy Fairy, Shiz]
DrumMania V3 (F32:A:A:A:2006101800) [Taro, Windy Fairy, Shiz]
DrumMania V3 (F32:J:A:A:2006101800) [Taro, Windy Fairy, Shiz]
Golden Nudge It (Barcrest) (MPU1) (5p Stake, £1 Jackpot) [SomeRandomGuyIdk]
Guitar Freaks V (E03:A:A:A:2005050200) [Taro, Windy Fairy, Shiz]
Guitar Freaks V (E03:J:A:A:2005050200) [Taro, Windy Fairy, Shiz]
Guitar Freaks V2 (F03:A:A:A:2006011201) [Taro, Windy Fairy, Shiz]
Guitar Freaks V2 (F03:J:A:A:2006011201) [Taro, Windy Fairy, Shiz]
Guitar Freaks V3 (F33:A:A:A:2006101800) [Taro, Windy Fairy, Shiz]
Guitar Freaks V3 (F33:J:A:A:2006101800) [Taro, Windy Fairy, Shiz]
Hold & Draw [Siftware]
Konami Python 2 BIOS [Windy Fairy]
Lite a Line (Dutch) (JPM) (SRU) (revision 52) [SomeRandomGuyIdk]
Lucky Nudge (Leisure Games) (MPU1) (5p Stake, £1 Jackpot) [SomeRandomGuyIdk]
Magical Poppins [anonymous, MetalliC]
Match It (Barcrest) (MPU1) (5p Stake, £1 Jackpot) [SomeRandomGuyIdk]
Match Up (Barcrest) (MPU1) (10p Stake, £2 Jackpot) [SomeRandomGuyIdk]
Rally Montecarlo [Museo del Recreativo]
Samsung NUON Enhanced DVD Player / DVD-N501 [Guru]
Sony NET WORK STATION NWS-5000X [Brice Onken]
Thrill Drive 3 (D44:J:A:A:20050316) [Taro, Windy Fairy, Shiz]
Toy's March (E00:J:A:A:2005011602) [Taro, Windy Fairy, Shiz]
Toy's March 2 (F00:J:A:A:2005110400) [Taro, Windy Fairy, Shiz]
VTech Phusion [Devin Acker]
Western Dream Gold [anonymous, MetalliC]


New clones marked as NOT_WORKING
--------------------------------
Dance Dance Revolution SuperNOVA 2 (GDJ:A:A:A:2007071100) [Taro, Windy Fairy, Shiz]
Dance Dance Revolution SuperNOVA 2 (GDJ:J:A:A:2007071100) [Taro, Windy Fairy, Shiz]
Dancing Stage SuperNOVA (FDH:E:A:A:2006032200) [Shiz, Windy Fairy]
DrumMania V2 (F02:A:A:A:2005101600) [Taro, Windy Fairy, Shiz]
DrumMania V2 (F02:A:A:A:2005112800) [Taro, Windy Fairy, Shiz]
DrumMania V2 (F02:J:A:A:2005101600) [Taro, Windy Fairy, Shiz]
DrumMania V2 (F02:J:A:A:2005112800) [Taro, Windy Fairy, Shiz]
DrumMania V3 (F32:A:A:A:2006072600) [Taro, Windy Fairy, Shiz]
DrumMania V3 (F32:J:A:A:2006072600) [Taro, Windy Fairy, Shiz]
Guitar Freaks V2 (F03:A:A:A:2005101600) [Taro, Windy Fairy, Shiz]
Guitar Freaks V2 (F03:A:A:A:2005112800) [Taro, Windy Fairy, Shiz]
Guitar Freaks V2 (F03:J:A:A:2005101600) [Taro, Windy Fairy, Shiz]
Guitar Freaks V2 (F03:J:A:A:2005112800) [Taro, Windy Fairy, Shiz]
Guitar Freaks V3 (F33:A:A:A:2006072600) [Taro, Windy Fairy, Shiz]
Guitar Freaks V3 (F33:J:A:A:2006072600) [Taro, Windy Fairy, Shiz]
Master Boy (Italian, rev A, set 3) [Recreativas.org]
Project Justice / Moero! Justice Gakuen (Rev B) [Tailsnic Retroworks]
Silent Scope 2 : Fatal Judgement (ver EAD) [buffi]
Sharp My Computer Terebi C1 [kmg]
Super Shuffle (Louth Coin) (SRU) (5p Stake, £1.50 Jackpot) [SomeRandomGuyIdk]


New working software list additions
-----------------------------------
a2600:
  Centipede (prototype), Solar Fox (prototype), Wizard of Wor (prototype) [Dutchman2000]
  Defender (prototype 198111xx), Gorf (prototype), Joust (prototype 19830705), Missile Command (prototype),
  Raiders of the Lost Ark (prototype 19820614), Venture (prototype) [Rom Hunter]
  Astro Chase (prototype), Elf Adventure (prototype 19830422), Elf Adventure (prototype 19830502), Kangaroo (prototype 19830119),
  Monkey Music (prototype 19820818), Mr. Do!'s Castle (later prototype), Mr. Do!'s Castle (prototype 19840312), Popeye (prototype),
  Solaris (prototype), Xevious (prototype 19840118) [Tempest]
  Frankenstein's Monster (prototype) [swlovinist]
apple2_flop_clcracked:
  Fraction-oids (1988 Version) (cleanly cracked) [4am, Firehawke]
  Stickybear Numbers (Revision 3) (cleanly cracked) [4am, san inc., Firehawke]
apple2_flop_orig:
  Microzine 1, Microzine 2, Microzine 3, Microzine 4, Microzine 5, Microzine 6, Microzine 7, Microzine 8, Microzine 9, Microzine 10,
  Microzine 11, Microzine 12, Microzine 13, Microzine 14, Microzine 15, Microzine 16, Microzine 17, Microzine 18, Microzine 19,
  Microzine 20, Microzine 21, Microzine 22, Microzine 23, Microzine 24, Microzine 25, Microzine 26, Microzine 27, Microzine 28,
  Microzine 29, Microzine 30 [4am, Firehawke]
apple2gs_flop_orig: Space Ace (Brutal Deluxe) [Antoine Vignau, A-Noid]
c64_cass:
  Germany 1985: When Superpowers Collide, Trantor: The Last Storm Trooper, Trap, TRAZ: Transformable Arcade Zone, Trio,
  Turbo Out Run, Turrican, Turrican II: The Final Fight, Typhoon, Uchi Mata, The Untouchables, Vigilante, The Vindicator! (Imagine),
  Wanderer 3D (Elite Systems), Water Polo, The Way of the Exploding Fist (Micropool), West Bank, Western Games, Wheelin' Wallie,
  Willow Pattern, Winter Camp, Winter Games (U.S. Gold), Winter Olympiad 88, Wiz, Wizardry, Wizball (Ocean), Wonder Boy,
  World Championship Soccer, World Class Leader Board: The Ultimate Golf Challenge, World Cup Carnival, World Games (U.S. Gold),
  World Series Baseball (Imagine), The Worm in Paradise, X-15 Alpha Mission, Xevious (U.S. Gold), Yabba Dabba Doo!,
  Yie Ar Kung-Fu (Imagine), Zaga Mission, Zamzara, Zaxxon, Zodiac, Zoids: The Battle Begins, Zzap! Sizzlers II
  [The Ultimate Tape Archive Team]
fmtowns_cd:
  DAPS for Windows, DynEd Demo Disc, FM Towns II Demonstration CD-ROM '94 Spring, FM Towns II Demonstration CD-ROM '94 Summer,
  Gakuen Bomber, Hyper Planet (demo), LiveAnimation V1.1 L10, Maruanki Eitango - Chuugaku 1-nensei,
  Mirumiru Sagasu Konchuu Series Vol. 1 - Chiisana Ensouka,
  Mirumiru Sagasu Konchuu Series Vol. 2 - Mori no Ninkimono - Jueki ni Atsumaru Mushi-tachi,
  Muscle Bomber - The Body Explosion (demo), Nihon no Rekishi - Ishin-hen - Kurofune Raikou (alt),
  Nihon no Rekishi - Sengoku-hen - Oda Nobunaga (HMB-124), Nihon no Tenki, Secre Volume 3 - Fumie Hosokawa, SimFarm (demo),
  Towns Hyper Chiiku Ehon - Nihon Mukashibanashi II - Omusubi Kororin / Usagi to Kame,
  Towns Hyper Chiiku Ehon - Nihon Mukashibanashi Vol. 4 - Tsuru no Ongaeshi / Kachi Kachi Yama, Towns Magazine for School Vol. 3,
  Towns Magazine for School Vol. 5 [redump.org]
  Manami - Ai to Koukan no Hibi [redump.org, cyo.the.vile]
  NHK Zoku Kiso Eigo - Dai-1-kan [redump.org, wiggy2k]
fmtowns_flop_orig:
  :LOOP - Izanai no Kaikiten, Disk Megastore Volume 1, Irium, Power DoLLS S-Premium Disk, You-Jong Part I [cyo.the.vile]
gbcolor:
  Chāorén Tègōngduì (Taiwan), Fēngkuáng Āgěi Ⅲ - Chāojí Zhàdànrén (Taiwan), Wángzú Tiāntáng (Taiwan),
  Xiándàn Chāorén - Ultraman (Taiwan) [taizou]
  Antz (Europe, prototype), Beach'n Ball (Europe, prototype, 20001121),
  Bob et Bobette - Les Dompteurs du Temps ~ Suske en Wiske - De Tijdtemmers (Europe, late prototype), Die Maus (Europe, prototype),
  Die Maus - Verrückte Olympiade (Germany, prototype), Driver (Europe, prototype), Klustar (Europe, prototype, 19981001),
  Klustar (Japan, prototype, 19981001), Looney Tunes Collector - Martian Alert! (Europe, prototype),
  Lucky Luke - Desperado Train (Europe, prototype), Moomin no Daibouken (Japan, prototype), Snoopy Tennis (Europe, prototype),
  Tootuff (prototype), UEFA 2000 (prototype), WDL - Thundertanx (prototype) [VGHF, Hidden Palace]
ibm5170:
  PC Format (Issue 24 - September 1993), PC Review (Issue 07 - May 1992) [archive.org]
  PC Magazine (All Star - December 1992), PC Plus (Issue 69 - June 1992), PC Today (Vol. 06 № 08 - December 1992)
  [arranarchipelago, archive.org]
  Grandmaster Chess, Grandmaster Chess Deluxe, The Lost Files of Sherlock Holmes,
  Space Quest IV: Roger Wilco and the Time Rippers (Germany), Tetris Trio [The Good Old Days]
  Classics Arcade [ibmpc5150, archive.org]
  Nomad, PC Format (Issue 26 - November 1993), PC Format (Issue 48 - September 1995), PC Gamer (UK) (Vol. 01 № 01 - December 1993),
  PC Gamer (UK) (Vol. 01 № 03 - February 1994), PC Gamer (UK) (Vol. 01 № 04 - March 1994),
  PC Gamer (UK) (Vol. 01 № 05 - April 1994), PC Gamer (UK) (Vol. 01 № 07 - June 1994), PC Gamer (USA) (Vol. 02 № 03 - March 1995),
  PC Review (Issue 25 - November 1993) [MarkHnsn, archive.org]
  PC Gamer (USA) (Vol. 01 № 01 - May-June 1994), PC Gamer (USA) (Vol. 01 № 03 - August 1994),
  PC Gamer (USA) (Vol. 01 № 04 - September 1994), PC Gamer (USA) (Vol. 01 № 06 - November 1994) [OUTATIME Studios, archive.org]
  PC Gamer (UK) (Vol. 02 № 10 - September 1995), Personal Computer World (1994-04 - April 1994) [SmartCoda, archive.org]
  PC Format (Issue 35 - August 1994) [StefanNL, archive.org]
lanteach: German For Travel [hap, Sean Riddle]
megadriv: Primal Rage (prototype) [Rezrospect, Forest of Illusion]
monon_color: Nǎolì liánlián kàn, Yǎsī tǎ dà màoxiǎn, Àoshù shíyàn shì [Peter Wilhelmsen]
nes:
  Controller Test Program (Japan) [Forest of Illusion]
  NARC (USA, CES sample, prototype) [Hard4Games, Dustin Echoes, Forest of Illusion]
  Fighting Simulator - World Champ (USA, prototype) [rjtiger]
pc98: Mind Buster!! [Justin Kerk]
snes:
  Hercules (pirate), Hercules (pirate, hacked), The King of Fighters '98 (pirate, hacked),
  Marvel Super Heroes Vs. Street Fighter (pirate, hacked), Squirrel (pirate), Squirrel (pirate, hacked) [Devin Acker]
  Boxing Legends of the Ring (USA, prototype), Hammer Lock Wrestling (USA, prototype),
  International Superstar Soccer Deluxe (Euro, prototype), Jigsaw Party (Japan, prototype),
  Joe & Mac 2 - Lost in the Tropics (USA, prototype, alt), Jurassic Park (USA, prototype),
  We're Back! - A Dinosaur's Story (USA, prototype) [Forest of Illusion]
  Porky Pig's Haunted Holiday (USA, prototype 19950807) [iniche, Forest of Illusion]
  Kid Klown in Crazy Chase (Euro, prototype), Super Punch-Out!! (Euro, prototype), Unirally (Euro, prototype)
  [Zoda-Y13, Forest of Illusion]
spectrum_cass:
  Astérix y el Caldero Magico (Erbe), Break Thru (Erbe, medium case), Ghost Rider, Street Hawk (1986) (set 4, IBSA), Wonderworm
  [spectrumcomputing.co.uk]
  Ganeymede [Steve Brown, Planeta Sinclair]
tsconf_betadisc_flop: Copter v0.1, ZX Battle City v1.4 (NoVDAC) [holub]
vgmplay:
  AMS II - Take Revenge for the Ruined Master (Sharp X68000), Buster Bros. (Nintendo Game Boy), Corpse Party (NEC PC-9801),
  Dead of the Brain - Shiryou no Sakebi (MSX2), Dead of the Brain - Shiryou no Sakebi (NEC PC-9801),
  Dead of the Brain - Shiryou no Sakebi (Sharp X68000), Dead of the Brain 1 & 2 (PC Engine Super CD-ROM2),
  Dead of the Brain 2 (NEC PC-9801), Dragon Blaze (Arcade), Dragon Half (FM Towns),
  Ekudorado - Kagami no Naka no Oukoku (NEC PC-9801, OPL3), Ekudorado - Kagami no Naka no Oukoku (NEC PC-9801, OPN),
  Ekudorado - Kagami no Naka no Oukoku (NEC PC-9801, OPNA), Final Fantasy (Bandai WonderSwan Color),
  Final Fantasy II (Bandai WonderSwan Color), Final Fantasy IV (Bandai WonderSwan Color), Fortress Attacker (Sharp X68000),
  Gardis Light (Sharp X68000), Get! (NEC PC-9801, OPL3), Get! (NEC PC-9801, OPN), Get! (NEC PC-9801, OPNA), Ghostlop (SNK Neo Geo),
  Golden Axe (Bandai WonderSwan Color), Gunbarich (Arcade), Hatenkou (Sharp X68000), Hatris (NEC PC-9801), Hook (Nintendo Game Boy),
  Kimi Dake ni Ai o... (NEC PC-9801), Kimi Dake ni Ai o... (Sharp X68000), Lemmings (Nintendo Game Boy), Leshies (Sharp X68000),
  Magical Shot (Sharp X68000), Merry Go Round (NEC PC-9801), Metal Sight (Sharp X68000), Multi Game Scripter (NEC PC-9801),
  MusyX Audio Tools for GB Demo (Nintendo Game Boy), Nemesis '90 Kai (Sharp X68000), Nike (MSX2), Nike (NEC PC-9801),
  Ninja Combat (SNK Neo Geo), Poly-Net Warriors (Konami Polygonet Hardware), Polygon Modeling Tsukuru (NEC PC-9801),
  River City Ransom (NES), Riviera - Yakusoku no Chi Riviera (Bandai WonderSwan Color), RoboCop 2 (Nintendo Game Boy),
  Shooting Tsukuru 98 (NEC PC-9801), Silk Road 2 (Sharp X68000), Sora no Fudousan (Sharp X68000),
  Square Resort - Hyper Senshasen (Sharp X68000), Star Cruiser (NEC PC-8801, OPN), T-94X - The Ground Warriors (Sharp X68000),
  Teen (NEC PC-9801), Telepachi Fever Lion (Arcade), Thrice (Sharp X68000),
  Tokyo Twilight Busters ~Kindan no Ikenie Teito Jigoku Hen~ (NEC PC-9801, OPN),
  Tokyo Twilight Busters ~Kindan no Ikenie Teito Jigoku Hen~ (NEC PC-9801, OPNA), Twilight (Sharp X68000),
  Twin Eagle - Revenge Joe's Brother (Seta 1), Visitte (NEC PC-9801), World Heroes (SNK Neo Geo) [vgmrips.net, Tafoid]


Software list items promoted to working
---------------------------------------
lynx: Yastuna Vol.1 - The Alchemy of Cubes, Yastuna Vol.2 - The Space Incident [kmg]
monon_color:
  Gāngtiě xiá-yīngxióng fǎnjí zhàn, Jiāngshī lièrén, Jī jiǎ xuànfēng-gédòu dàshī (set 1), Jī jiǎ xuànfēng-gédòu dàshī (set 2),
  Kǎijiǎ yǒngshì dàluàn dòu, Luòkè wángguó-bīng zhī lán, Luòkè wángguó-dà màoxiǎn, Luòkè wángguó-hēi zhī yán,
  Luòkè wángguó-mófǎ zhèn, Luójí pīn yī pīn, Lóngzhū-wǔdào dàhuì, Shén pò-shīluò de yíjī, Sài ěr hào-néngyuán dà zuòzhàn,
  Sài ěr hào: Zhànshén dòu hún, Xǐyángyáng yǔ huītàiláng-juézhàn miē xīng, Yīngxióng liánméng-zhōngjí gédòu
  [Peter Wilhelmsen, David Haywood]
snes: DSP1 Tech Demo (USA, prototype) [kmg]


New NOT_WORKING software list additions
---------------------------------------
c2color_cart: Dì 1 dàn: Dài Lóngwáng Fēngyìn, Dì 2 dàn: Zhī Yìwáng De Shì Liàn [Peter Wilhelmsen]
c64_cass:
  V, W.A.R, Wallie goes to Rhymeland, The Way of the Exploding Fist (Melbourne House), Wimbledon '64, Yie Ar Kung Fu II
  [The Ultimate Tape Archive Team]
fmtowns_cd:
  Tenshi-tachi no Gogo - Tenkousei [redump.org]
  Nihongo Microsoft Windows V3.0 with Multimedia Extensions V1.0 L10 [redump.org, tenyuhuang]
gbcolor:
  The Adventures of Tintin - Prisoners of the Sun (Europe, prototype),
  Bob et Bobette - Les Dompteurs du Temps ~ Suske en Wiske - De Tijdtemmers (Europe, early prototype), Worms Armageddon (prototype)
  [VGHF, Hidden Palace]
ibm5170: PC Gamer (UK) (Vol. 01 № 02 - January 1994) [MarkHnsn, archive.org]
kpython2:
  Dance Dance Revolution SuperNOVA 2 Install Disk (JAA/AAA), DrumMania V2 (JAA/AAA), DrumMania V2 Version 1.01 (JAA/AAA),
  GuitarFreaks V2 (JAA/AAA), GuitarFreaks V2 Version 1.01 (JAA/AAA) [Taro]
  Dance Dance Revolution SuperNOVA Install Disk (UAA) [HybridStorm]
  Dance Dance Revolution SuperNOVA 2 Install Disk (UAA) [Ninevolt]
  DrumMania V3 (JAA/AAA), GuitarFreaks V3 (JAA/AAA) [SakamotoNeko]
  Dancing Stage SuperNOVA Install Disk (EAA) [Shiz]
monon_color: Luòkè wángguó-wángzhě huīzhāng [Peter Wilhelmsen]
snes:
  The King of Fighters '98 (pirate), Marvel Super Heroes Vs. Street Fighter (pirate) [ALMCLE]
  WeaponLord (USA, prototype) [DrBizz]
vboy: Hyper Fighting (pirate) [Planet Virtual Boy]


Merged pull requests
--------------------
- 8854: sony/news_r4k.cpp: Added driver for Sony NEWS NWS-5000X workstation. [Brice Onken]
- 9119: formats/fs_fat.cpp: Added preliminary read-only FAT file system implementation. [Nathan Woods]
- 9353: konami/k051960.cpp: Implemented shadow configuration bits (fixes shadows in Devastators). [Furrtek]
- 9929: casio/ctk551.cpp, cpu/h8: Added Casio Celviano AP-10, CTK-601 and GZ-70SP. [Devin Acker, Gabriel Miceli]
- 9949: intel/imds2.cpp: Corrected PIO controller ROM, and fixed iSBC202 floppy controller emulation. [F.Ulivi]
- 9970: misc/magicard.cpp, cpu/pic16c5x, machine/scc66470.cpp: Improved emulation, promoting five games to working. [Paul-Arnold]
- 10043: playmark/playmark.cpp: Dumped sound microcontroller for Hard Times. [Caps0ff, Tailsnic Retroworks, ClawGrip]
- 10044: psikyo/psikyo.cpp: Dumped PIC microcontroller for “Tengai” World version. [Caps0ff, Museo Arcade Vintage, ClawGrip]
- 10062: swtpc/swtpc09.cpp: Marked machines as working and added comments with usage notes. [68bit]
- 10073: falgas/falgas_m89.cpp: Dumped and added skeleton driver for “Rally Montecarlo”. [Museo del Recreativo, ClawGrip]
- 10079: barcrest/mpu3.cpp: Use MPU4 characteriser device for MPU3 as well, and removed duplicated games. [David Haywood]
- 10083: barcrest/mpu1.cpp: Added driver for Barcrest MPU1 fruit machines, with six games playable. [SomeRandomGuyIdk]
- 10093: cdi.xml: Use lowercase for descriptive text and unabbreviated country names in descriptions. [ArcadeShadow]
- 10120: c64_cass.xml: Added ten working items. [The Ultimate Tape Archive Team, Steven Coomber]
- 10122: fairlight/cmi.cpp: Hooked up MIDI port 1, and cleaned up code. [Ryan Holtz]
- 10123: mo5_cart.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10124: mo5_cass.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10125: mo5_flop.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10126: a2600.xml: Added twenty working  prototypes. [Tempest, Rom Hunter Dutchman2000, swlovinist, kmg]
- 10127: nes.xml: Demoted some Enix games to unsupported, and corrected titles of various games. [kmg]
- 10128: nes.xml: Use unabbreviated country names, lowercase descriptive text and uppercase initialisms in descriptions. [kmg]
- 10129: bbc_rom.xml: Fixed ROM region size for epsonfx. [kmg]
- 10130: gameboy.xml: Converted data sizes to hexadecimal, and noted probable under-dump of lunchasep. [kmg]
- 10131: cpu/mcs51: Added internal ROM for AX208. [Peter Wilhelmsen, David Haywood]
- 10132: lynx.xml: Removed 64-byte header from Yastuna homebrew games, making them playable. [kmg]
- 10133: casloopy.xml: Fixed a ROM size and a kanji reading; x1_flop.xml: Fixed a kanji reading. [kmg]
- 10134: gamecom.xml: Replaced three under-dumped ROMs. [No-Intro, kmg]
- 10135: mastboy.cpp: Dumped and added a newer Italian set, and corrected metadata. [Recreativas.org, ClawGrip]
- 10136: sony/dmac3.cpp, sony/cxd8442q.cpp: Implemented DMAC3 and WSC-FIFOQ DMA controllers. [Brice Onken]
- 10137: machine/spifi3.cpp: Implemented HP 1TV3-0302 SPIFI3 SCSI controller. [Brice Onken]
- 10138: amiga/arsystems.cpp: Removed invalid dumps of protected PLDs. [ClawGrip]
- 10140: cpu/axc51: Spearated AX208 from Intel MCS-51 family. [David Haywood]
- 10143: snes.xml: Added five working prototypes. [Forest of Illusion, iniche, Zoda-Y13, kmg]
- 10144: Listed more Nuon DVD players in comments. [simzy]
- 10145: snes.xml: Added five prototypes. [Forest of Illusion, Zoda-Y13, kmg]
- 10146: gbcolor.xml: Added four working Taiwanese games. [taizou, kmg]
- 10147: snes.xml: Use lowercase for descriptive text and unabbreviated country names in descriptions. [ArcadeShadow]
- 10149: sinclair/atm.cpp: Improved banking, video and COVOX emulation, promoting ATM-Turbo 2 to working. [holub]
- 10150: ngp.xml: Replaced bad dump of ptennis. [psykopat, kmg]
- 10152: vboy.xml: Added a homebrew pirate release, and cleaned up metadata. [Planet Virtual Boy, kmg]
- 10153: toaplan/toaplan2.cpp: Add subtitles for Japanese FixEight sets. [Michael Sanborn]
- 10154: c64_cass.xml: Added thirteen items (nine working, four not working). [Steven Coomber]
- 10155: spectrum_cass.xml: Added six working items, and cleaned up metadata. [ArcadeShadow]
- 10156: bus/snes: Made checksum and address formatting consistent in log messages when loading cartridges. [kmg]
- 10157: nes.xml: Added a prototype version of Fighting Simulator - World Champ. [rjtiger, kmg]
- 10158: misc/monon_color.cpp, cpu/axc51, monon_color.xml: Improved Monon Color emulation, and added a cartridge. [David Haywood]
- 10160: to7_cass.xml: Use lowercase for descriptive text and unabbreviated country names in descriptions. [ArcadeShadow]
- 10161: to7_cart.xml: Use lowercase for descriptive text and unabbreviated country names in descriptions. [ArcadeShadow]
- 10162: to7_qd.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10164: apple2gs_flop_orig.xml: Added Space Ace (Brutal Deluxe). [Antoine Vignau, A-Noid33]
- 10165: bus/pce_ctrl: Added support for Coconuts Japan pachinko controller. [kmg]
- 10166: namco/mappy.cpp: Corrected some DIP switch setting labels, and reformatted comments. [einstein95]
- 10170: debugger/debuggdbstub.cpp: Attach to first CPU device found in system rather than expecting fixed tag. [Nathan Woods]
- 10171: sinclair/spec128.cpp: Adjusted border rendering (MT08264).  [holub]
- 10172: galaxian/galaxold_v.cpp: Render shots as 2×2 squares for rescue and minefld. [Golden Child]
- 10173: snes.xml: Fixed some parent/clone relationships. [kmg]
- 10174: bus/vcs: Avoid trampolines in cartridge accesses. [Wilbert Pol]
- 10175: megadriv.xml: Added a prototype of Primal Rage. [Rezrospect, Forest of Illusion, kmg]
- 10178: formats/cp68_dsk.cpp: Added CP/68 disk format for SWTPC 6800. [Michael R. Furman]
- 10179: docs: Updated instructions for compiling with Emscripten. [algestam]
- 10180: atari/a2600.cpp: Combined TV Boy and Atari 2600 drivers, and merged driver source files. [Wilbert Pol]
- 10181: machine/8530scc.cpp: Fixed Baud rate calculation and Baud counter registers (improves X68000 performance). [grantek]
- 10182: snes.xml: Added eight items (four pirate cartridges, and four cracked versions). [Devin Acker, ALMCLE, kmg]
- 10187: atari/a2600.cpp: Added PAL version of TV Boy, and removed nonexistent inputs from TV Boy consoles. [Thomas Jentzsch, kmg]
- 10188: fmtowns_cd.xml: Added twenty-four items, and replaced three items with better dumps. [r09]
- 10189: gamate.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10190: megaduck.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10191: vectrex.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10192: sinclair/atm.cpp: Added support for ATM-Turbo 2 with 128 K ROM. [holub]
- 10193: msx/msx.cpp: Merge msx_m.cpp and msx.h into msx.cpp and cleaned up code a little. [Wilbert Pol]
- 10194: sinclair/pentagon.cpp: Fixed freeze on main menu (MT08390), and cleaned up code. [holub]
- 10195: nintendo/vsnes.cpp: Combined driver source files, split up driver state class, and cleaned up code. [kmg]
- 10196: sinclair/tsconf.cpp, tsconf_betadisc_flop.xml: Added a TS-Configuration software list and cleaned up code. [holub]
- 10197: jpm/jpmsru.cpp: Added Lite a Line, and cleaned up code. [SomeRandomGuyIdk]
- 10198: sinclair/pentagon.cpp: Cleaned up implementation of differences between 128 K and 1024 K variants. [holub]
- 10199: sinclair/spectrum.cpp: Play cassette output through speaker (MT08342). [holub]
- 10200: nintendo/nes.cpp: Added Sharp My Computer Terebi C1 (an RGB Famicom clone). [kmg]
- 10201: pacman/pacman.cpp: Added Miss Packman Plus. [Marc Deslauriers]
- 10202: Cleaned up extraneous spaces in various software lists. [kmg]
- 10205: nintendo/vsnes.cpp: Enabled watchdog timer for DualSystem games, and cleaned up code. [kmg]
- 10206: sinclair/atm.cpp: Use more descriptive BIOS names. [holub]
- 10207: midw8080/m79amb.cpp: Invert PROM data using ROM region flags. [kmg]
- 10208: nintendo/playch10.cpp: Replaced pc_gntlt ROM dumps (fixes graphics) and marked pc_cshwk as having imperfect graphics. [kmg]
- 10213: sega/naomi.cpp: Dumped and added “Project Justice / Moero! Justice Gakuen (Rev B)”. [Tailsnic Retroworks, ClawGrip]
- 10214: nintendo/playch10.cpp: Combined source files, removed imperfect graphics flag from pc_1942, and cleaned up code. [kmg]
- 10215: snes.xml: Promoted dsp1demo to working. [kmg]
- 10217: sinclair/atm.cpp, sinclair/glukrs.cpp: Added real-time clock/non-volatile RAM to ATM-Turbo. [holub]
- 10218: sony/cxd8452aq.cpp: Added WSC-SONIC3 DMA controller device. [Brice Onken]
- 10219: bus/nes: Improved emulation of TXC 01-22000-400 PCBs. [kmg]
- 10221: imagedev/midiin.cpp: Send All Notes Off channel mode message when unloading a MIDI file. [Devin Acker]
- 10223: ibm5170.xml: Added 22 items (21 working, one not working). [ArcadeShadow]
- 10224: konami/ksys573.cpp: Added Dance Dance Revolution Karaoke Mix 2. [Taro, Windy Fairy]
- 10225: sega/model3.cpp: Add US title to descriptions for most Scud Race sets. [Michael Sanborn]
- 10226: sinclair/atm.cpp: Fixed I/O addressing, and disabled RAM writes when ROM is active. [holub]
- 10228: nintendo/vsnes.cpp: Removed nonexistent inputs and fixed some DIP switch labels. [kmg]
- 10231: util/cdrom.cpp: Pass physical flag to read_partial_sector in read_subcode (fixes extracting CHD CD-ROMs). [Windy Fairy]
- 10232: konami/ksys573.cpp: Added Guitar Freaks (EAA/UAA/JAA/AAA). [Taro, Windy Fairy]
- 10233: chdman.cpp: Fixed TOC session type detection when extracting CD-ROM images. [Windy Fairy]
- 10234: formats/flex_dsk.cpp: Added FLEX 1.0 (MiniFLEX) disk format for the SWTPC MF-68 Disk System. [Michael R. Furman]
- 10235: misc/astrcorp.cpp: Improved protection emulation and built-in layouts, promoting seven games to working. [Luca Elia]
- 10236: channelf.xml: Use lowercase for descriptive text and unabbreviated country names in descriptions. [ArcadeShadow]
- 10237: a7800.xml: Use lowercase for descriptive text and uppercase for proper nouns in descriptions. [ArcadeShadow]
- 10238: nintendo/vsnes.cpp: Improved input port definitions. [kmg]
- 10239: intellect02.xml: Don’t use title case in software list description. [ArcadeShadow]
- 10240: intv.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10241: vtech/phusion.cpp: Added skeleton driver for VTech Phusion digital camera/organizer. [Devin Acker]
- 10242: machine/ds1207.cpp: Fixed initialisation of start time. [Paul-Arnold]
- 10244: nintendo/playch10.cpp, nintendo/nes.cpp, nes.xml: Marked systems and software as unsupported as appropriate. [kmg]
- 10245: nes.xml: Added two working items. [Hard4Games, Dustin Echoes, Forest of Illusion, kmg]
- 10246: misc/monon_color.cpp: Adjusted protection simulation; skeleton/c2color.cpp: Dumped internal ROM.
  [Peter Wilhelmsen, David Haywood]
- 10247: ibm5170.xml: Added seven working items, and replaced one item with a better dump. [ArcadeShadow]
- 10248: lynx.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10249: fmtowns_flop_orig.xml: Added four working items, and replaced two items with better dumps. [cyo.the.vile, r09]
- 10250: c64_cass.xml: Added sixteen items (fifteen working, one not working). [The Ultimate Tape Archive Team, Steven Coomber]
- 10251: formats/fs_oric_jasmin.cpp, floptool.cpp: Fixed some compiler warnings about unused variables. [napobear]
- 10252: konami/kpython2.cpp, kpython2.xml: Added Python 2 skeleton driver and installation media software list. [Windy Fairy]
- 10255: c64_cass.xml: Added ten items (nine working, one not working). [The Ultimate Tape Archive Team, Steven Coomber]
- 10256: snes.xml: Added two recent prototype dumps (one working, one not working). [Zoda-Y13, Forest of Illusion, DrBizz, kmg]
- 10260: funworld/photoply.cpp: Added notes about security dongles. [ClawGrip]
- 10261: nintendo/spacefb.cpp: Combined source files and cleaned up code a little. [kmg]
- 10262: sound/pokey.cpp: Improved accuracy of POKEY emulation. [Mike Saarna, Andrew Green]
- 10263: monon_color.xml: Corrected the English translations of game titles. [Qiangong2]
- 10264: tvgames/micom_mahjong.cpp: Added driver for Micom Mahjong console. [hap, David Haywood, Sly DC]
- 10265: misc/magicard.cpp: Corrected names and parent/clone relationships for Magic Card games. [Paul-Arnold]
- 10266: seibu/raiden.cpp: Documented more of the configuration bytes, and converted comments to C++-style. [eientei95]
- 10267: namco/namcos86.cpp: Changed Wonder Momo joysticks to 8-way (MT08404). [Steven Coomber]
- 10269: tecmo/spbactn.cpp: Emulated second screen for Super Pinball Action prototype. [David Haywood]
- 10270: Cleaned up some ROM macro indentation and spacing. [kmg]
- 10271: casio/ctk551.cpp: Adjusted CTK-601 LCD background color. [Devin Acker]
- 10272: technos/renegade.cpp: Increased sprite RAM size to fix flickering and missing sprites. [kmg]
- 10273: formats/fdos_dsk.cpp: Added FDOS disk format for the SWTPC 6800. [Michael R. Furman]
- 10274: Added support for building on OpenBSD/arm64. [Frederic Cambus]
- 10275: konami/ksys573.cpp: Added 811jaa02 audio CD for drmna. [Taro, Windy Fairy]
- 10276: konami/kpython2.cpp: Added DANCE 86.4 FUNKY RADIO STATION. [Taro, Windy Fairy]
- 10277: konami/kpython2.cpp: Fixed dongle data format for dance864. [Windy Fairy]
- 10278: vboy.xml: Use official artwork spelling for “Insmouse”. [kmg]
- 10279: gbcolor.xml: Added eighteen prototypes (fifteen working, three not working). [VGHF, Hidden Palace, kmg]
- 10280: apple2_flop_orig.xml: Added Microzine disks; apple2_flop_clcracked.xml: Added two clean cracks. [4am, san inc., Firehawke]
- 10283: adam_cart.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10284: adam_cass.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10285: adam_flop.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]


Source changes
--------------
-Don't load any NVRAM other than the default for devices whose configurations inhibit NVRAM saving [AJR]

-cmi2x: Hooked up working MIDI on port 1. [Ryan Holtz] (#10122) [MooglyGuy]

-Switched to shorter type names. [MooglyGuy]

-Tightened up spacing in function declarations and definitions. [MooglyGuy]

-Removed some now-unnecessary trampoline functions. [MooglyGuy]

-Hooked up Rx and Tx clocks for MIDI port 1; MIDI in/out now works. [MooglyGuy]

-c64_cass.xml: Added 10 working items (#10120) [Steven Coomber]

New working software list additions
-----------------------------------
Trantor: The Last Storm Trooper (Go!) [C64 Ultimate Tape Archive V2.0]
Trap (Alligata) [C64 Ultimate Tape Archive V2.0]
TRAZ: Transformable Arcade Zone (Cascade Games) [C64 Ultimate Tape Archive V2.0]
Trio (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Turbo Out Run (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Turrican (Rainbow Arts) [C64 Ultimate Tape Archive V2.0]
Turrican II: The Final Fight (Rainbow Arts) [C64 Ultimate Tape Archive V2.0]
Typhoon (Imagine) [C64 Ultimate Tape Archive V2.0]
Uchi Mata (Martech) [C64 Ultimate Tape Archive V2.0]
The Untouchables (Ocean) [C64 Ultimate Tape Archive V2.0]

-h8: MULXS & MULXU are slower without a MAC [AJR]

-hh_tms1k: merlina is a bad dump afterall [hap]

-mac.cpp: Move V8 family machines (LC, LC II, Classic II, Color Classic) to new separate driver. [R. Belmont]

-v8.cpp: make shortnames more unique. [R. Belmont]

-v8.cpp: Improve notes [AJR]

-Additional small cleanups to Mac drivers, getting rid of MCFG overrides [AJR]

-nes.xml: Demoted some Enix games. Cleaned up some titles and alt_titles. (#10127) [0kmg]

-namcofl.cpp: redumped speedrcr [Phil Bennett]

-bbc_rom.xml: Fixed a ROM size error. (#10129) [0kmg]

-nes.xml: More cleanups. (#10128) [0kmg]
 * Cleaned up more titles and alt_titles.
 * Converted remaining Jpn to Japan, Tw to Taiwan and Chi to China in descriptions.

-mo5_cart.xml: Use lowercase for descriptive text in descriptions. (#10123) [ArcadeShadow]

-gameboy.xml: Converted data sizes to hexadecimal. (#10130) [0kmg]
 * Noted probable underdump of Lunar Chase prototype.

-hegenerglaser/*: small update to internal artwork [hap]

-ave_arb: add clickable element that presses 2 buttons at the same time [hap]

-chessmst: same thing as arb, clicking reset button auto clicks halt button on top of it [hap]

-Updated mess.flt [Robbbert]

-namcofl.cpp: consolidated driver in one file, minor cleanups [Ivan Vangelista]

-pokechmp.cpp: switched to configured banking, enabled save state support, minor cleanups [Ivan Vangelista]

-hegenerglaser/*: add clickable element to internal artwork that presses 2 buttons at the same time where applicable [hap]

-mdndclab.lay: remove stray escaped chars [hap]

-i186: Add Am186EM and Am188EM variant types [AJR]

-various drivers: removed some custom GFX decodes in favor of the ones provided in emu/video/generic.cpp [Ivan Vangelista]

New machines marked as NOT_WORKING
----------------------------------
DVD-N501 [Guru]

New clones marked as NOT_WORKING
--------------------------------
Silent Scope 2 : Fatal Judgement (ver EAD) [buffi]

-cclimber.cpp: partially redumped ccbootmm [hammy]

-a couple of devices and drivers: fixed spelling for 'accessible' [Ivan Vangelista]

-Monon / AX208 - load internal AX208 ROM in device [Peter Wilhelmson, David Haywood] (#10131) [David Haywood]

-x68k: do the final mix in a single loop per-pixel [cracyc]

-x68k: change layer drawing order and make pcg and text layers mask each other [cracyc]

-n501: correct category [Robbbert]

New working clones
------------------
Language Translator [hap, Sean Riddle, Darksoft]

-gamecom.xml: Underdumped ROMs for mktrilgy, re2 and sonicjam. (#10134) [0kmg]
 * Also converted the remaining data sizes to hexadecimal.

-pktgaldx.cpp: subclasses and other small cleanups [Ivan Vangelista]

-vaportra.cpp: consolidated driver in one file, minor cleanups [Ivan Vangelista]

-few drivers and devices:  removed some custom GFX decodes in favor of the ones provided in emu/video/generic.cpp [Ivan Vangelista]

-a2600.xml: Added 20 prototypes. (#10126) [0kmg]

New working software list additions
-----------------------------------
Astro Chase (prototype) [Tempest]
Centipede (prototype) [Dutchman2000]
Defender (prototype 198111xx) [Rom Hunter]
Elf Adventure (prototype 19830502) [Tempest]
Elf Adventure (prototype 19830422) [Tempest]
Frankenstein's Monster (prototype) [swlovinist]
Gorf (prototype) [Rom Hunter]
Joust (prototype 19830705) [Rom Hunter]
Kangaroo (prototype 19830119) [Tempest]
Missile Command (prototype) [Rom Hunter]
Monkey Music (prototype 19820818) [Tempest]
Mr. Do!'s Castle (later prototype) [Tempest]
Mr. Do!'s Castle (prototype 19840312) [Tempest]
Popeye (prototype) [Tempest]
Raiders of the Lost Ark (prototype 19820614) [Rom Hunter]
Solar Fox (prototype) [Dutchman2000]
Solaris (prototype) [Tempest]
Venture (prototype) [Rom Hunter]
Wizard of Wor (prototype) [Dutchman2000]
Xevious (prototype 19840118) [Tempest]

-lynx.xml: Trimmed 64-byte header from Yastuna homebrews. (#10132) [0kmg]

Software list items promoted to working
---------------------------------------
Yastuna Vol.1 - The Alchemy of Cubes [kmg]
Yastuna Vol.2 - The Space Incident [kmg]

-Fixed miscellaneous software list issues: (#10133) [0kmg]
 * casloopy.xml: Fixed a ROM size and kanji reading.
 * casloopy.xml: Fixed a ROM size and kanji reading.
 * x1_flop.xml: Fixed a kanji reading.
 * coco_cart.xml: Fixed a ROM size.

-arsystems.cpp: Marked dumps of protected PLDs as NO_DUMP, as they contain no info. (#10138) [ClawGrip]

-playmark.cpp: Dumped sound PIC program for "Hard Times". [Caps0ff, Tailsnic Retroworks] (#10043) [ClawGrip]

-knightsb2: fixed priorities and highscores. [Robbbert]

-cps1 kludges: gave reverse sprites its own bit as it's used often [Robbbert]

-mo5_cass: Use lowercase for descriptive text in descriptions. (#10124) [ArcadeShadow]

-snes.xml: Added five prototypes. (#10143) [0kmg]

New working software list additions
-----------------------------------
Boxing Legends of the Ring (USA, prototype) [Forest of Illusion]
Hammer Lock Wrestling (USA, prototype) [Forest of Illusion]
Porky Pig's Haunted Holiday (USA, prototype 19950807) [iniche, Forest of Illusion]
Super Punch-Out!! (Euro, prototype) [Zoda-Y13, Forest of Illusion]
We're Back! - A Dinosaur's Story (USA, prototype) [Forest of Illusion]

-cloned the mcs51 core as axc51, stripped it back, will allow monon work to continue without making a mess of the original mcs51
 core. (#10140) [David Haywood]
 * cloned the mcs51 core as axc51, stripped it back, will allow monon work to continue without making a mess of the original mcs51
    core.
 * remove some redundant bits
 * replace SFR table with AXC51 / AX208 one, removing some other functionality which is not the same on this series
 * remove some other bits that are redundant now we're not trying to support other mcs51 models in the axc core

-axc51: Prune some other bits that don't exist or don't work similarly here [AJR]

-nvram: Fix regression related to 6d6ecf46b15cd32599d0d6760178fed0563bc5a2 [AJR]

-apple2: don't force ProDOS 2.5a8 to ProDOS sector order. (Github #7707) [R. Belmont]

-mo5_flop: Use lowercase for descriptive text in descriptions. (#10125) [ArcadeShadow]

New working clones
------------------
Games V21.1C [Brian Troha, The Dumping Union]

-darkseal.cpp, sidepckt.cpp: consolidated drivers in single files, other small cleanups [Ivan Vangelista]

-igs/goldstar.cpp: Marked Tetris + Cherry master clones as clones. [Vas Crabb]

-gbcolor.xml: Added four Taiwanese dumps. (#10146) [0kmg]

New working software list additions
-----------------------------------
Chāorén Tègōngduì (Taiwan) [taizou]
Fēngkuáng Āgěi Ⅲ - Chāojí Zhàdànrén (Taiwan) [taizou]
Wángzú Tiāntáng (Taiwan) [taizou]
Xiándàn Chāorén - Ultraman (Taiwan) [taizou]

-Various minor cleanups. [Vas Crabb]
 * There's something wrong when derived classes need to be friends...

-tms0270: fix problem with power off and ctl direction [hap]

-a800: Add support for the ICD R-Time 8 cartridge [AJR]

-spectrum_cass.xml: 6 new software additions (#10155) [ArcadeShadow]

New working software list additions
-----------------------------------
Astérix y el Caldero Magico (Erbe) [spectrumcomputing.co.uk]
Break Thru (Erbe, medium case) [spectrumcomputing.co.uk]
Ganeymede [Steven Brown, Planeta Sinclair]
Ghost Rider [spectrumcomputing.co.uk]
Street Hawk (1986) (set 4, IBSA) [spectrumcomputing.co.uk]
Wonderworm [spectrumcomputing.co.uk]

-Cleaning metadata (year, publisher, cloneof/parent relationships) [ArcadeShadow]

-spyhunt, turbotag: Add ADC [AJR]

-intel/imds2: correct dump for PIO microcontroller [fulivi]

-toaplan/toaplan2.cpp: Add subtitle for Japanese FixEight sets. (#10153) [Michael Sanborn]

-mac: Hook up ASC IRQs in system ASICs. (GitHub #10159) [R. Belmont]

-dmac3.cpp, cxd8442q.cpp: Implement DMAC3 and WSC-FIFOQ DMA controllers (#10136) [Brice Onken]

-nes.xml: Added a prototype. (#10157) [0kmg]

New working software list additions
-----------------------------------
Fighting Simulator - World Champ (USA, prototype) [rjtiger]

-macquadra700.cpp: Hook up EASC IRQ. [R. Belmont]

-am9516: general improvements [Patrick Mackinlay]

-abc1600: Update todo list. [Curt Coder]

-to7_cass.xml: Use lowercase for descriptive text in descriptions and unabbreviated country names. (#10160) [ArcadeShadow]

-to7_cart.xml: Use lowercase for descriptive text in descriptions, and use unabbreviated country names. (#10161) [ArcadeShadow]

-konami/k051960.cpp: Implemented shadow configuration bits (fixes shadows in Devastators). (#9353) [Furrtek]
 * Added descriptions for the other previously undocumented register bits, even if they shouldn't affect any game.
 * Attempted to get chqflag shadow/highlights working properly with no k051960 hack.
 * konami/k054000.cpp: Updated implementation to better match how the chip works.

-technos/renegade.cpp: Corrected sprite RAM size (GitHub #10163).  [jotego]
 * Also combined source files and cleaned up a little.

-to7_qd.xml: Use lowercase for descriptive text in descriptions. (#10162) [ArcadeShadow]

-vboy.xml: Added a homebrew pirate release. (#10152) [0kmg]
 * Added alt_title and developer info tags.
 * Changed data sizes to hexadecimal.
 * Replaced some names with known ROM labels.
 * Corrected SRAM on several cartridges.
 * Various cleanups.

New NOT_WORKING software list additions
---------------------------------------
vboy.xml: Hyper Fighting (pirate) [Planet Virtual Boy]

-misc hap devices: move variables init to device_start [hap]

-spellba: do the tms0270 ctl fix in the driver [hap]

-tms1000: increase R port to 32bit [hap]

-tms1000: added tms1475 [hap]

-cpu16h, icorender.cpp: fix MSVC compile (nw) [Peter Ferrie]

-am9516: don't initialise variables in header [Patrick Mackinlay]

-snes.xml: Added five prototypes. (#10145) [0kmg]

New working software list additions
-----------------------------------
International Superstar Soccer Deluxe (Euro, prototype) [Forest of Illusion]
Jigsaw Party (Japan, prototype) [Forest of Illusion]
Joe & Mac 2 - Lost in the Tropics (USA, prototype, alt) [Forest of Illusion]
Jurassic Park (USA, prototype) [Forest of Illusion]
Unirally (Euro, prototype) [Zoda-Y13, Forest of Illusion]

-mastboy.cpp: Dumped and added a newer Italian set (#10135) [ClawGrip]
 * mastboy.cpp: Dumped and added a newer Italian set
   - Also added comments and reformatted existing single line ones. Added placeholders for PLDs. The Italian sets are not hacks.
      Gaelco licensed the game to Playmark for the Italian market, so changed the manufacturer accordingly on the Italian sets.
      Finally, the Rev A on the piggyback PCB refers to the game revision, not the PCB revision, so, changed the games names
      removing the "PCB" reference.
 * Add 'mastboyib'
 * mastboy.cpp: Add more comments
 * Fixed typos

-mbc55x, saturn: Remove some residual debugging stuff [AJR]

-Change debugger command handler parameter vector element type from std::string to std::string_view [AJR]

New machines marked as NOT_WORKING
----------------------------------
The Dracula (Tsukuda) [hap, Sean Riddle, Parotaku]

-Changed gdbstub to no longer expect a CPU named ':maincpu' (#10170) [npwoods]
 * The logic was changed to find the first CPU, without any particular expectation about naming.  This should address issue #10141

-bus/snes: Log checksums and addresses consistently when loading cartridges. (#10156) [0kmg]

-ui/icorender.cpp: Revert initialisations that can hide real bugs. [Vas Crabb]
 * MSVC isn't smart enough to detect that these can only be used after being assigned while clang and GCC can work it out fine.
    Initialising them to zero at declaration has the potential to mask real bugs if some code path tries to use them without
    assigning them.  Code flow analysis (e.g. Coverity) or memory analysers (e.g. valgrind or Purify) won't pick up on the buggy
    path because the variable will technically be initialised.
 * MSVC is problematic when it comes to warnings about uninitialised variables in general.  Unfortunately MSVC has no option to
    selectively treat warnings as errors, unlike clang/GCC which have -Wno-error= which we use extensively.  Until Microsoft
    addresses these issues, you'll have to use NOWERROR=1 when building with MSVC.
 * Also, some cleanup.

-mfi_dsk: fix logic error (nw) [Peter Ferrie]

-Mac debugging overhaul [AJR]
 * Split out the disassembler override to a new file and use it in all 68K Mac drivers
 * Add several more names to the list of A-line Toolbox traps
 * Remove the long-disused mac_tracetrap routine

-ngp.xml: Replaced ptennis bad dump. [psykopat] (#10150) [0kmg]

-rescue, minefld: make bullets 2x2 pixels instead of a single pixel (#10172) [goldnchild]

new NOT_WORKING clones
----------------------
Red Earth (Asia 961121, NO CD) [Darksoft, MetalliC]
Red Earth (Asia 961023, NO CD) [Darksoft, MetalliC]

-segasp.cpp more games docs [MetalliC]

-z180asci: fix logic errors (nw) [Peter Ferrie]

-williams.cpp: updated ROM labels for blaster sets [Joe Magiera, The Dumping Union]

Machines promoted to working
----------------------------
The Dracula (Tsukuda) [hap, Sean Riddle, Parotaku, eggs]

-bus/pce_ctrl: Added support for Coconuts Japan Pachinko Controller CJPC-102. (#10165) [0kmg]
 * For all controllers, added %p player specifier, made device_input_ports() protected, and moved initializations from headers to
    constructors.

-emumem:  Add accessors lookup_{read,write]_*_flags to lookup flags without actually doing the access [Olivier Galibert]

-sinclair/atm.cpp: Got ATM Turbo 2 mostly working. (#10149) [holub]
 * Implemented memory banking, video modes, palette and COVOX.

Machines promoted to working
----------------------------
MicroART ATM-Turbo 2 [holub]

-cdi.xml: Cleaned up metadata. (#10093) [ArcadeShadow]
 * Use lowercase for descriptive text in descriptions.
 * Use unabbreviated country names.
 * Moved CD matrix information to info elements and removed markup from descriptions.

-namco/mappy.cpp: Renamed Freeze DIP switch to "Freeze / Rack Test" in superpac. (#10166) [eientei95]
 * Also reformatted comments, aligned PORT_CONDITIONs, and removed useless comments.

-megadriv.xml: Added a prototype. (#10175) [0kmg]

New working software list additions
-----------------------------------
megadriv: Primal Rage (prototype) [Rezrospect, Forest of Illusion]

-snes.xml: Use unabbreviated country names and lowercase descriptive text in descriptions. (#10147) [ArcadeShadow]

-tms1000: added disassembler for tms1400, tms2100, tms2400 [hap]

-bus/vcs: Avoid trampolines in cartridge accesses. (#10174) [wilbertpol]
 * Rewrote most banking to use memory_bank.
 * Only install handlers in ranges that they respond to.

-snes.xml: Fixed some parent/clone relationships for soccer games. (#10173) [0kmg]

-machine/spifi3.cpp: Implemented HP 1TV3-0302 SPIFI3 SCSI controller. (#10137) [Brice Onken]

New working clones
------------------
Battle Garegga (Korea / Greece) (Wed Feb 7 1996) [juking]

New working clones
------------------
Battle Garegga (Japan, bootleg) (Sat Feb 3 1996) [nnap]

-sinclair/spec128.cpp: Adjusted border rendering (MT08264). (#10171) [holub]

-tms1000: move known pinouts to device headers [hap]

New machines marked as NOT_WORKING
----------------------------------
BMX Stunts (set 1) [chaneman]

New clones marked as NOT_WORKING
--------------------------------
BMX Stunts (set 2) [Andy Welburn]

-bmxstunts.cpp: corrected c/p error on year [Ivan Vangelista]

-arcade.flt: added missing driver [Ivan Vangelista]

-tms1000: added tms2xxx skeleton devices [hap]

New machines marked as NOT_WORKING
----------------------------------
Game Pachinko [hap, Sean Riddle, Rik]

-tms1000: move common memory maps to base file [hap]

-tms1000: add stack levels to constructor list [hap]

-docs: Update emscripten compile instructions to reflect recent source rearrangement (#10179) [algestam]

-psychic5.cpp: corrected underdumped psychic5j audio ROM [Corrado Tomaselli]

-tms2100: add some of the opcodes [hap]

-bmxstunts.cpp: moved everything into galaxian.cpp as the differences are really minimal. Sets bmxstunts has a couple of bitrotten
 program ROMs, but bmxstuntsa sorta works [Ivan Vangelista]

New working machines
--------------------
Language Teacher [hap, Sean Riddle]

New working software list additions
-----------------------------------
lanteach: German For Travel [hap, Sean Riddle]

-atari/a2600.cpp: Merged tvboy.cpp and a2600.h into a2600.cpp. (#10180) [wilbertpol]

-barcrest/mpu1.cpp: Added Barcrest MPU1 fruit machine driver. (#10083) [SomeRandomGuyIdk]

New machines marked not working
-------------------------------
Golden Nudge It (Barcrest) (MPU1) (5p Stake, £1 Jackpot) [SomeRandomGuyIdk]
Match It (Barcrest) (MPU1) (5p Stake, £1 Jackpot) [SomeRandomGuyIdk]
Match Up (Barcrest) (MPU1) (10p Stake, £2 Jackpot) [SomeRandomGuyIdk]
Lucky Nudge (Leisure Games) (MPU1) (5p Stake, £1 Jackpot) [SomeRandomGuyIdk]
Big Apple (Leisure Games) (MPU1) (5p Stake, £1 Jackpot) [SomeRandomGuyIdk]
Big Apple (Leisure Games) (MPU1) (5p Stake, £2 Jackpot) [SomeRandomGuyIdk]

-misc/falgas_m89.cpp: Dumped and added "Rally Montecarlo". (#10073) [ClawGrip]

-Tweaked MAME icon: [Vas Crabb]
 * Use flat gradient style rather than embossed edges.
 * Made rightmost stroke of the M thicker.
 * Use a dark border to emphasise the outline on light backgrounds.
 * Use flat style without anti-aliasing up to 64*64.
 * Manually tweaked small sizes to preserve sharp mitres.

-tms1000: add read/write prefix to k/r/o devcb names [hap]

-c64_cass.xml: Added 10 items (9 working, 4 not working) (#10154) [Steven Coomber]

New working software list additions
-----------------------------------
Vigilante (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
The Vindicator! (Imagine) [C64 Ultimate Tape Archive V2.0]
Wanderer 3D (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Water Polo (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
The Way of the Exploding Fist (Micropool) [C64 Ultimate Tape Archive V2.0]
West Bank (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Western Games (Magic Bytes) [C64 Ultimate Tape Archive V2.0]
Wheelin' Wallie (Interceptor Software) [C64 Ultimate Tape Archive V2.0]
Germany 1985: When Superpowers Collide (Transatlantic Simulations) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
V (Ocean) [C64 Ultimate Tape Archive V2.0]
W.A.R (Martech) [C64 Ultimate Tape Archive V2.0]
Wallie goes to Rhymeland (Interceptor Software) [C64 Ultimate Tape Archive V2.0]
The Way of the Exploding Fist (Melbourne House) [C64 Ultimate Tape Archive V2.0]

-tms2100: add timer interrupt [hap]

-tdracula: flip output pla [hap]

-pentagon.cpp: cleanup + MT08390 (#10194) [holub]

-sinclair/tsconf.cpp: Added initial software list and cleaned up code a little. (#10196) [holub]

-sinclair/atm.cpp: Added support for ATM-Turbo 2 with 128K ROM. (#10192) [holub]
 * Also added eXtra v1.37 XT ROM as a BIOS option.

-gamate.xml: Use lowercase for descriptive text in descriptions. (#10189) [ArcadeShadow]

-megaduck.xml: Use lowercase for descriptive text in descriptions. (#10190) [ArcadeShadow]

-atari/a2600.cpp: Added TV Boy dump. (#10187) [0kmg]
 * Also removed some nonexistent inputs from all the TV Boy clones.

New working clones
------------------
TV Boy (PAL) [Thomas Jentzsch, kmg]

-fmtowns_cd.xml: 24 new dumps, 3 replacements (#10188) [r09]
 * Added the bundled Sample Data Disk to kidpixjr [cyo.the.vile]
 * Replaced the habitat1110 floppy image with a good dump [cyo.the.vile]
 * Some minor metadata corrections

New working software list additions
-----------------------------------
DAPS for Windows [redump.org]
DynEd Demo Disc [redump.org]
FM Towns II Demonstration CD-ROM '94 Spring [redump.org]
FM Towns II Demonstration CD-ROM '94 Summer [redump.org]
Gakuen Bomber [redump.org]
Hyper Planet (demo) [redump.org]
LiveAnimation V1.1 L10 [redump.org]
Manami - Ai to Koukan no Hibi [redump.org, cyo.the.vile]
Maruanki Eitango - Chuugaku 1-nensei [redump.org]
Mirumiru Sagasu Konchuu Series Vol. 1 - Chiisana Ensouka [redump.org]
Mirumiru Sagasu Konchuu Series Vol. 2 - Mori no Ninkimono - Jueki ni Atsumaru Mushi-tachi [redump.org]
Muscle Bomber - The Body Explosion (demo) [redump.org]
NHK Zoku Kiso Eigo - Dai-1-kan [redump.org, wiggy2k]
Nihon no Rekishi - Ishin-hen - Kurofune Raikou (alt) [redump.org]
Nihon no Rekishi - Sengoku-hen - Oda Nobunaga (HMB-124B) [redump.org]
Nihon no Tenki [redump.org]
Secre Volume 3 - Fumie Hosokawa [redump.org]
SimFarm (demo) [redump.org]
Towns Hyper Chiiku Ehon - Nihon Mukashibanashi II - Omusubi Kororin / Usagi to Kame [redump.org]
Towns Hyper Chiiku Ehon - Nihon Mukashibanashi Vol. 4 - Tsuru no Ongaeshi / Kachi Kachi Yama [redump.org]
Towns Magazine for School Vol. 3 [redump.org]
Towns Magazine for School Vol. 5 [redump.org]

New not working software list additions
---------------------------------------
Nihongo Microsoft Windows V3.0 with Multimedia Extensions V1.0 L10 [redump.org, tenyuhuang]
Tenshi-tachi no Gogo - Tenkousei [redump.org]

Replaced software list items
----------------------------
Chuumon no Ooi Ryouriten [redump.org]
Scavenger 4 (demo) [redump.org]
Scholar Movie Magazine Soukan-gou [redump.org]

-vectrex.xml: Use lowercase for descriptive text in descriptions. (#10191) [ArcadeShadow]

-nintendo/vsnes.cpp: Various cleanups. (#10195) [0kmg]
 * Merged vsnes_m.cpp and vsnes.h into vsnes.cpp.
 * Split into base class and three separate classes for UniSystem, DualSystem, and SMB bootleg machines.
 * Merged DualSystem's main/sub VROM banking functions.
 * Added a separate speaker for each screen on VS. DualSystem - sound from the two APUs is not mixed.

-msx/msx.cpp: Merged msx_m.cpp and msx.h into msx.cpp and minor cleanups. (#10193) [wilbertpol]

-vgmplay.xml:  Added 40 new entries [VGMRips.net, Tafoid]

-capcom/mitchell.cpp: redumped sprites ROMs for pompingw. Also updated labels as per PCB pics [farzeno, anonymous]

-galaxian/galaxian.cpp: used ROM loading macros instead of custom function for bmxstunts [Ivan Vangelista]

-spectrum.cpp: Fixed floating bus read (#9850) [holub]

-williams.cpp, wmg.cpp: Clean up driver inits, setting blitter type in machine configs instead [AJR]

-dinvram: Separate backup-enable parameter (which prevents both loading and saving) from nvram_can_save [AJR]

-attotime: Make operator+ and operator- constexpr [AJR]

-Driver device API cleanups [AJR]
 * Remove the confusing driver_init virtual override. The function has been de-virtualized in most drivers that were calling it
    explicitly, and replaced by alternate overrides in others.
 * Remove MCFG_VIDEO_RESET_OVERRIDE (not used anymore).
 * Provide MCFG_MACHINE_START_REMOVE and MCFG_VIDEO_START_REMOVE for consistency.

-jpm/jpmsru.cpp: Added Lite a Line, and cleaned up the driver. (#10197) [SomeRandomGuyIdk]
 * Added a postload callback to fix j_ewnc not updating reels after loading a save state.
 * Changed order of display digit outputs to reflect actual order in the memory map.
 * Cleaned up layouts.

New machines marked not working
-------------------------------
Lite a Line (Dutch) (JPM) (SRU) (revision 52) [SomeRandomGuyIdk]

-jaleco/bigstrkb.cpp, misc/pass.cpp: consolidated drivers in one file, very minor cleanups [Ivan Vangelista]

-a few drivers: removed some custom GFX decodes in favor of the ones provided in emu/video/generic.cpp [Ivan Vangelista]

-hash\*.xml:  Cleanup of some software lists of various spacing and format issues.  More to come. [Tafoid]

-hash\*.xml:  Cleanup of some software lists of various spacing and format issues (part 2).  More to come. [Tafoid]

-woz: handle FLUX tracks, even when somewhat broken [Olivier Galibert]

-Fix up software list cleanup. [Vas Crabb]
 * There are a number of places where multiple spaces were being used intentionally (extracted directly from disk labels, separating
    titles from subtitles, tabulation, etc.).
 * Also fixed misspelled Twinbee Yahho titles.

-misc/falgas_m89.cpp: mapped some devices, rmontercarlo runs but needs implementation of the comms between main and video CPUs
 [Ivan Vangelista]

-dooyong/gundealer.cpp, misc/aztarac.cpp: consolidated drivers in single files, minor cleanups [Ivan Vangelista]

-multfish.cpp:  Added documented game dumps from file outside of SRC tree (attic/multfish.ref) [Scott Stone]

-woz/flux: better implementation [Olivier Galibert]

-emumem: remove the flags interface from address_space (still available through specific and cache), may make ld less cranky
 [Olivier Galibert]

-midw8080/m79amb.cpp: Invert PROM data using region flags. (#10207) [0kmg]

-sinclair/spectrum.cpp: Play cassette output through speaker (MT08342). (#10199) [holub]

-nintendo/playch10.cpp: Replaced pc_gntlt PRG and CHR dumps. (#10208) [0kmg]
 * Removed MACHINE_IMPERFECT_GRAPHICS flag from pc_gntlt. [kmg]
 * Added MACHINE_IMPERFECT_GRAPHICS flag for pc_cshwk. [Dunard]

-nintendo/vsnes.cpp: A few minor changes. (#10205) [0kmg]
 * Added watchdog timer (currently only active on DualSystem games).
 * Set perfect quantum for vsmahjng, just like all the other DualSystem games.
 * Switched vssoccera from bnglngby's init, which installs a fake IRQ hack, to standard init.
 * Switched suprmriobl to empty_init and gave it more consistent function naming.

-sinclair/atm.cpp: Use more descriptive BIOS names. (#10206) [holub]

-pentagon.cpp: Clean up implementation of differences between 128K and 1024K variants. (#10198) [holub]

-woz/flux: even more fixes after some clarifications [Olivier Galibert]

-snes.xml: Promoted dsp1demo to working. (#10215) [0kmg]

Software list items promoted to working
---------------------------------------
DSP1 Tech Demo (USA, prototype) [0kmg]

-ns32000: various virtual memory bug fixes [Patrick Mackinlay]
 * use active super/user address translation in debugger
 * ensure CXP, RXP, RETT, RETI, ENTER and CXPD instructions restart properly after a fault
 * correct RDVAL/WRVAL logic

-ns32082: correct rdval/wrval logic [Patrick Mackinlay]
 * don't clear translation error status unless a new error is generated

-upl/mouser.ccp, venture/spcforce.cpp, venture/suprridr.cpp: consolidated drivers in single files, minor cleanups [Ivan Vangelista]

-pacman.cpp: Added Miss Packman Plus. (#10201) [mdeslaur]

New working clones
------------------
Miss Packman Plus [Marc Deslauriers]

-Various software lists: Cleaned up more extraneous spaces. (#10202) [0kmg]

-snes.xml: Added eight dumps (four pirate dumps, four cracked versions). (#10182) [0kmg]
 * bus/snes: Fixed address mask error for Soul Blade and Hercules pirate carts. Games run now.
 * Marked digimon as not working, hercules and squirrel as partial until further investigated.
 * Also tidied a few spots missed in description metadata cleanup.

-a800_flop.xml: Marked Elektra Glide as not working. [0kmg]

New working software list additions
-----------------------------------
Hercules (pirate) [Revenant]
Hercules (pirate, hacked) [Revenant]
The King of Fighters '98 (pirate, hacked) [Revenant]
Marvel Super Heroes Vs. Street Fighter (pirate, hacked) [Revenant]
Squirrel [Revenant]
Squirrel (pirate, hacked) [Revenant]

New NOT_WORKING software list additions
---------------------------------------
The King of Fighters '98 (pirate) [ALMCLE]
Marvel Super Heroes Vs. Street Fighter (pirate) [ALMCLE]

-nintendo/nes.cpp: Added an RGB capable Famicom clone. (#10200) [0kmg]

New working clones
------------------
Sharp My Computer Terebi C1 [kmg]

-psikyo/psikyo.cpp: Dumped security MCU for Tengai (not hooked up yet). (#10044) [Caps0ff, Museo Arcade Vintage, ClawGrip]
 * Added on both "Tengai" sets by now, although it was dumped from a World PCB.

-misc/goldnpkr.cpp: identified falcnwldc's encryption device, seems to run now but needs more work [Ivan Vangelista]

-misc/gumbo.cpp, misc/mosaic.cpp, misc/news.cpp: consolidated drivers in single files, minor cleanups [Ivan Vangelista]

-misc vfd handhelds: tweak colors, remove unneeded bitswaps in drivers [hap]

-ctk551.cpp: New working machines (#9929) [Devin Acker]

New working machines:
---------------------
Casio Celviano AP-10 [Devin Acker]
Casio CTK-601 [Devin Acker, Gabriel Miceli]
Casio GZ-70SP [Devin Acker]

-nintendo/playch10.cpp: Merged playch10 source files. (#10214) [0kmg]
 * Added finders for joystick and gun inputs.
 * Fixed some bad masks (sprite DMA write and Pin-Bot).
 * Made color PROM loading more concise.
 * Removed pc_1942 imperfect graphics flag.  It looks as bad as it should.
 * Various other minor cleanups.

-bus/nes: Updated emulation of TXC 01-22000-400 PCBs. (#10219) [0kmg]

-formats/cp68_dsk.cpp: Added CP/68 disk format for SWTPC 6800. (#10178) [Michael R. Furman]

-sinclair/atm.cpp: Added CMOS. (#10217) [holub]
 * sinclair/glukrs.cpp: Refactored to support ATM-Turbo as well as TS-Configuration.

-MT 08386: nemo, nemor1, nemoj: Priority error during attract mode [Robbbert]

-nintendo/playch10.cpp: fixed build [Ivan Vangelista]

-hmcs40: block interrupt after conditional jump [hap]

-Dumped and added "Project Justice / Moero! Justice Gakuen (Rev B)" (#10213) [ClawGrip]
 * naomi.cpp: Dumped and added Project Justice Rev. B
 * mame.lst: Add 'pjustica'

-eturtles: add game speed control [hap]

-misc vfd handhelds: make blue a bit brighter [hap]

-Revert "MT 08386: nemo, nemor1, nemoj: Priority error during attract mode [Robbbert]" [hap]
 * This reverts commit b7585fb5cebbb84ac9d23401290fdb94f6f338f8.

-imagedev/midiin.cpp: send All Notes Off CC when unloading a MIDI file (#10221) [Devin Acker]

-cxd8452aq.cpp: add WSC-SONIC3 DMA controller support (#10218) [Brice Onken]

New working clones
------------------
Trivia Master (set 5) [chaneman]

New machine marked as NOT_WORKING (#10224)
------------------------------------------
Dance Dance Revolution Karaoke Mix 2 (GQ947 VER. JAA) [Taro]

Machines promoted to working
----------------------------
Game Pachinko [hap, Sean Riddle, Rik, eggs]

-tms2100: add interrupt pin [hap]

-tms2100: add event counter [hap]

-cdrom: Pass phys flag to read_partial_sector in read_subcode (#10231) [987123879113]

New working clones
------------------
Dancing Eyes (World, DC2/VER.B) [rtw, Brian Troha, Bill D., The Dumping Union]

-tgpachi: change yellow to green [hap]

-ibm5170.xml: 22 new software additions (#10223) [ArcadeShadow]
 * ibm5170.xml: 21 new software additions

New working software list additions
-----------------------------------
Classics Arcade [ibmpc5150, archive.org]
GrandMaster Chess [The Good Old Days]
GrandMaster Chess Deluxe [The Good Old Days]
Nomad [MarkHnsn, archive.org]
PC Format (Issue 26 - November 1993) [MarkHnsn, archive.org]
PC Format (Issue 35 - August 1994) [StefanNL, archive.org]
PC Format (Issue 48 - September 1995) [MarkHnsn, archive.org]
PC Gamer (UK) (Vol. 01 Nº 01 - December 1993) [MarkHnsn, archive.org]
PC Gamer (UK) (Vol. 01 Nº 03 - February 1994) [MarkHnsn, archive.org]
PC Gamer (UK) (Vol. 01 Nº 04 - March 1994) [MarkHnsn, archive.org]
PC Gamer (UK) (Vol. 01 Nº 05 - April 1994) [MarkHnsn, archive.org]
PC Gamer (UK) (Vol. 01 Nº 07 - June 1994) [MarkHnsn, archive.org]
PC Gamer (UK) (Vol. 02 Nº 10 - September 1995) [SmartCoda, archive.org]
PC Gamer (USA) (Vol. 01 Nº 01 - May-June 1994) [OUTATIME Studios, archive.org]
PC Gamer (USA) (Vol. 01 Nº 03 - August 1994) [OUTATIME Studios, archive.org]
PC Gamer (USA) (Vol. 01 Nº 04 - September 1994) [OUTATIME Studios, archive.org]
PC Gamer (USA) (Vol. 01 Nº 06 - November 1994) [OUTATIME Studios, archive.org]
PC Gamer (USA) (Vol. 02 Nº 03 - March 1995) [MarkHnsn, archive.org]
PC Review (Issue 07 - May 1992) [archive.org]
PC Review (Issue 25 - November 1993) [MarkHnsn, archive.org]

New NOT working software list additions
---------------------------------------
PC Gamer (UK) (Vol. 01 Nº 02 - January 1994) [MarkHnsn, archive.org]

-update ibm5170.xml [ArcadeShadow]
 * Rename roms' label with invalid characters

-update ibm5170 [ArcadeShadow]
 * Added the status="nodump" to the missing floppy disks dump
 * Replaced the N and a degree symbol by the Numero Sign

-apple2gs_flop_orig.xml:  Added new software entry (#10164) [A-Noid33]

New working software list additions
-----------------------------------
Space Ace (Brutal Deluxe) [Antoine Vignau, A-Noid]

-tv21_3: corrected 700120.46 prom [Siftware]

-naomi.cpp fix pjustic p/c [MetalliC]

-nintendo/vsnes.cpp: Fixed some DIP switch issues. (#10228) [0kmg]
 * Removed nonexistent P3 and P4 controls from starlstr.
 * Corrected credits per game mode DIP switch for vstennis.
 * Removed redundant inputs for vsbballj, which are identical to vsbball.
 * Corrected which smgolf clones use P3/P4 start button inputs.
 * Added missing cluclu DIP setting: credits for 2 players.
 * Removed fake remapping of buttons for vspinbalj.
 * Added Lives and Bonus Life DIP settings for supxevs.
 * Updated note about Sun prototypes.

-cps3.cpp document known to exist latest jojoba revision [MetalliC]

-formats/flex_dsk.cpp: Added FLEX 1.0 (MiniFLEX) Disk Format. (#10234) [Michael R. Furman]
 * FLEX 1.0 (MiniFLEX) for the SWTPC MF-68 Disk System uses 18 128-byte sectors per track.

New working clones
------------------
Big Kong (Crazy Kong bootleg on Galaxian hardware) [chaneman]

-metro/metro.cpp: fixed regression for puzzlet [Ivan Vangelista]

-technos/battlane.cpp, technos/blockout.cpp, technos/wwfsstar.cpp: consolidated drivers in single files, very minor cleanups
 [Ivan Vangelista]

-galaxian.cpp: addressed feedback on de45cc7e00df4bf382ee8750481624cf037c96e3 [Ivan Vangelista]

-chdman: Fixed TOC session type detection for extractcd. (#10233) [987123879113]

-konami/ksys573.cpp: Added Guitar Freaks (EAA/UAA/JAA/AAA). (#10232) [987123879113]

New working clones
------------------
Guitar Freaks (GQ886 VER. EAA) [Taro]
Guitar Freaks (GQ886 VER. UAA) [Taro]
Guitar Freaks (GQ886 VER. JAA) [Taro]
Guitar Freaks (GQ886 VER. AAA) [Taro]

-misc/astrcorp.cpp protection and layouts update: (#10235) [Luca Elia]
 * Emulated the "CPU Code" protection in newer games (astoneag, dinodino, hacher, magibombd, winbingo, winbingoa, zoo).
 * Expanded ROM patches to work around imperfect data in the first 0x400 bytes (ROM overlay?), getting all games to boot.
 * Implemented 16x32 sprites in astoneag.
 * Created layouts and factory defaults EEPROMs for all sets.
 * showhand: Fixed regression that caused the new opponent face to be invisible while entering the screen.

Machines promoted to working
----------------------------
Magic Bomb (Ver. L3.5S) [Luca Elia, Ivan Vangelista, Angelo Salese, Phil Bennett, Cristiano MDQ]
Dino Dino (Ver. A1.1, 01/13/2005) [Olivier Galibert, Luca Elia, Ivan Vangelista, Guru]
Stone Age (Astro, Ver. EN.03.A, 2005/02/21) [Olivier Galibert, Luca Elia, ANY, The Dumping Union]
Win Win Bingo (Ver. GM.03.3, Feb 23 2006) [Olivier Galibert, Luca Elia, Ivan Vangelista, f205v, Filippo Tarderia]
Zoo (Ver. ZO.02.D, Aug 27 2004) [Olivier Galibert, Luca Elia, Ivan Vangelista, Brian Troha, The Dumping Union]

Clones promoted to working
--------------------------
Magic Bomb (Ver. A3.1) [Luca Elia, Ivan Vangelista, Angelo Salese, Phil Bennett, Cristiano MDQ]
Hacher (hack of Win Win Bingo EN.01.6) [Olivier Galibert, Luca Elia, Ivan Vangelista, ANY, The Dumping Union]

-sinclair/atm.cpp: Fixed I/O addressing, and disabled RAM writes when ROM is active. (#10226) [holub]

-sinclair/specpls3.cpp: Improved floppy drive configuration. [Vas Crabb]
 * Default to a single 3" SSDD drive, allow 3.5" SSDD drives.
 * specpls3_flop.xml: Corrected interface type for term2a floppy.

-channelf.xml: Use lowercase for descriptive text in descriptions and unabbreviated country names. (#10236) [ArcadeShadow]

New machines marked as NOT_WORKING
----------------------------------
Hold & Draw [Siftware]

-technos/bogeyman.cpp, technos/dogfgt.cpp, technos/matmania.cpp: consolidated drivers in single files, minor cleanups
 [Ivan Vangelista]

-emu: make memory_share_creator endianness param optional, it is nonsense for byte-width RAM [hap]

New machines marked as NOT_WORKING
----------------------------------
Hit Parade 108 / 144 / 160 [hap, Sean Riddle]

-source org: move lk3000 to handheld folder [hap]

-Implement SCC baud rate calculation (#10181) [grantek]
 * Also fix baud counter registers Reference: http://www.zilog.com/docs/serial/ps0117.pdf
   - The X68000 uses the Clock Mode feature of the SCC, which multiplies the baud period by 16. Combined with a bug that read the
      baud counter from the wrong registers, this meant the emulator had two baud rate expiry callbacks running at some MHz.

-frontend: Swallow save state slot key/button. [Vas Crabb]

-a7800.xml: Cleaned up metadata: (#10237) [ArcadeShadow]
 * Use lowercase for descriptive text in descriptions.
 * Use uppercase for trademarks/proper nouns, like POKEY and ProSystem Emulator.

-hitparade: change SYST to GAME [hap]

-Revert "emu: make memory_share_creator endianness param optional, it is nonsense for byte-width RAM" [hap]
 * This reverts commit cfbffd321529cc21a5880e16c6a66c750f3b3e3b.

-update prev commit: no, you can stay [hap]

-misc/magicard.cpp: Added required devices and default NVRAM contents. (#9970) [Paul-Arnold]
 * cpu/pic16c5x: Expose driven lines to I/O handlers in mask.
 * machine/ds1207.cpp: Added DS1207 Time Key device.
 * machine/msm6242.cpp: Fixed interrupt output pulse duration.
 * machine/scc66470.cpp: Added Philips SCC66470 Video and System controller device.

Machines promoted to working
----------------------------
Puzzle Me! [Paul-Arnold]
Lucky 7 (Impera) V04/91a [Paul-Arnold]

Clones promoted to working
--------------------------
Magic Card Export 94 (V2.11a, set 3) [Paul-Arnold]
Magic Card - Wien (Sicherheitsversion 1.2) [Paul-Arnold]
unknown Poker 'TE06' [Paul-Arnold]

-Cleanup of various recently-changed files. [Vas Crabb]

-osd/modules/input: Include device serial number in ID when available for SDL joysticks. [Vas Crabb]

-sega/model3.cpp: Add US Title to most Scud Race sets. (#10225) [Michael Sanborn]
 * The US Title (Sega Super GT) is known to exist on most sets via service mode when you change region settings.
 * For some reason the parent allows you to change regions (Japan, USA, Export) which is interesting about this export set.

-unidasm.cpp: Code cleanup [AJR]
 * Use ioprocs methods and do a single read for normal input files (i.e. without an additional memcpy)
 * Compute pc_mask without using loop
 * Correct likely mistake in calculation of rounded_size
 * Split main function in two
   - ioprocs.cpp: Remove no longer needed #include

-cr16b: Fix sign extension of branch displacements in disassembly [AJR]

New NOT_WORKING machine (#10241)
--------------------------------
VTech Phusion [Devin Acker]

-intv.xml: Metadata cleaning (#10240) [ArcadeShadow]
 * Lowercase on descriptive text on words like "Prototype", "Alt", "Unreleased", "Unfinished", "Fixed", "Download Version", "Hacked"

-bigkonggx: Simplify ROM descrambling even further [AJR]

-amstarz80.cpp: Add a few preliminary mappings [AJR]

-technos/mystston.cpp, technos/shadfrce.cpp, technos/ssozumo.cpp, technos/tagteam.cpp: consolidated drivers in single files, minor
 cleanups [Ivan Vangelista]

-machine/ds1207.cpp: Fixed initialisation of start time. (#10242) [Paul-Arnold]

-sony_news/news_r4k.cpp: Implemented Sony NEWS NWS-5000X driver. (#8854) [Brice Onken]
 * sony_news/news_hid.cpp: Added APbus I/O mapping.
 * bus/nscsi/cd.cpp: Added Sony CD-ROM CDU-541 1.0A recognised by NEWS-OS.
 * machine/upd765.cpp: Added National Semiconductor PC8477B clone.

New machines marked not working
-------------------------------
Sony NET WORK STATION NWS-5000X [Brice Onken]

-Merged some single-platform projects into company projects. [Vas Crabb]
 * Also moved a few things out of skeleton into other places.

New working clones
------------------
B.Rap Boys Special (World, older) [nnap]

-bus: Get rid of some dubious tag manipulation. [Vas Crabb]
 * The implementation details of how the cartridges allocate storage for memory really shouldn't be part of the interface.  Having
    tags in the headers encourages people to depend on these implementation details. This gets rid of it in most of the headers.  A
    few particularly leaky abstractions (bbc/rom, electron/cart, gba, generic, jakks_gamekey, m5) depend on this, so it can't be
    removed in those cases without further refactoring to encapsulate the slot devices better.
 * This doesn't change behaviour, it just mechanically removes stuff from the headers and uses device_t::subtag rather than string
    manipulation on tags.  Most of the cartridge devices shouldn't have rom_alloc member functions at all - the region created by
    the software list loader can be used directly when loading from the software list, and the slot can allocate a region with the
    same tag when loading loose software.  This avoids creating an extra region and copying the data when loading from the software
    list.  See vboy for an example that doesn't allocate a superfluous region.

-tecfri/holeland.cpp, tecfri/sauro.cpp, tecfri/speedbal.cpp: consolidated drivers in single files, minor cleanups [Ivan Vangelista]

-emu/validity.cpp, ui/info.cpp: Base "no sound" check on speaker devices. [Vas Crabb]
 * Currently the speaker device is the only way sound can get to the OSD layer, so its presence or absence determines whether the
    emulated system is capabale of producing sound.  A few systems use chips with sound capability for other purposes (typically I/O
    or video) while leaving the sound outputs disconnected.  These systems should display the notice about the absence of sound
    output.

-nintendo/gb.cpp: A bit of cleanup. [Vas Crabb]
 * Combined driver source files.
 * Split up state classes and got rid of legacy start/reset callback overrides.
 * Use configured banking for GBC RAM (fixes some save state issues, but there could be more lurking).
 * Moved notes about cartridge hardware to more appropriate places.

-chess artwork: fix xml error on white bishop [hap]

-galaxian.cpp: redumped bmxstunts. Confirmed both dumps in MAME come from the same PCB and that one is just bad. Removed the bad
 dump. Still needs more work before it can be considered playable. [chaneman]

-bmxstunts: improve sound [hap]

-nintendo/playch10.cpp: Minor bug fix and MMC1 cleanup. (#10244) [0kmg]
 * nintendo/nes.cpp: Mark famitvc1 as not working. nes.xml: Mark shinsend as not supported.

-nes.xml: Added two dumps. (#10245) [0kmg]

New working software list additions
-----------------------------------
NARC (USA, CES sample, prototype) [Hard4Games, Dustin Echoes, Forest of Illusion]
Controller Test Program (Japan) [Forest of Illusion]

-bmxstunts: combine half of the 1st dump attempt with current [hap]

-Greatly improve Monon Color emulation (#10158) [David Haywood]
 * added emulation of required/used AXC51 / AX208 extended operations
 * added preliminary emulation of required/used AXC51 / AX208 features
 * added support for many Monon specific features, such as the video controller
 * most games are playable, those not requiring a card/badge scanner to function at all are promoted
 * no music, as it's contained in a game specific MCU under a glob on each cart

Machines promoted to working
----------------------------
BMX Stunts [Ivan Vangelista, hap, chaneman, Andy Welburn]

New working clones
------------------
Turbo Force (US, set 2) [Bill D., Brian Troha, The Dumping Union]

-bmxstunts: add difficulty switch [hap]

-Hyperscan: various updates [Sandro Ronco]
 * Fixed hang in X-Men.
 * Fixed some graphical issues.
 * Implemented the TVE framebuffer (used in some homebrew demos).

-debugger/debuggdbstub.cpp: Fixed failure to find CPU. [Vas Crabb]

-render: give cloneof ext artwork priority over internal artwork [hap]

-debuggdbstub.cpp: implement thread alive command. [Sandro Ronco]

-bus.lua, machine.lua: fixed a couple of entries [Ivan Vangelista]

-vgmplay.xml:  Added 20 new entries [VGMRips.net, Tafoid]

-bmxstunts: copy 2nd half of another dump attempt to bmxl rom [hap]

-Lua scripting enhancements: [Vas Crabb]
 * Added minimal support for manipulating bitmaps and drawing them in render containers.  Y'CbCr 4:2:2, RGB and ARGB are supported.
    Argument order doesn't always match the underlying classes to make the Lua interface more consistent with render bounds and
    render containers.
 * Added bindings for device_palette_interface.
 * Fixed some errors in the documentation as well as documenting new functionality.

New working software list additions
-----------------------------------
pc98: Mind Buster!! [Justin Kerk]

-tehkan/bombjack.cpp, tehkan/lvcards.cpp, tehkan/pbaction.cpp: consolidated drivers in single files, minor cleanups
 [Ivan Vangelista]

-misc: remove unused variables that may give compiler warning [hap]

-tehkan/spbactn.cpp: added preliminary inputs and sound for the prototype. [Ivan Vangelista]

-tehkan/solomon.cpp, tehkan/spbactn.cpp, tecmo16.cpp: consolidated drivers in single files, minor cleanups [Ivan Vangelista]

-nintendo/gb.cpp: Use taps to handle the boot ROM overlay. [Vas Crabb]

-Moved some stuff out of misc and skeleton: [Vas Crabb]
 * Moved Innovative Concepts machines to their own project.
 * Moved various things out of skeleton to existing company projects.

-hyperscan: added quickload support. [Sandro Ronco]

-Corrected the English translations of Monon Color games (#10263) [Qiangong2]
 * Correct English translations
   - Also capitalize in a few areas
 * Update software short name to align with corrected translation
 * monon_color.xml: Use conventional rendering of "Dragon Ball: Budokai"
   - Co-authored-by: Vas Crabb <cuavas@users.noreply.github.com>

-konami/kpython2.cpp: Added new skeleton driver. (#10252) [987123879113]

New machines marked NOT_WORKING
-------------------------------
Dance Dance Revolution SuperNOVA (FDH:A:A:A:2006071300) [Taro, windyfairy, Shiz]
Dance Dance Revolution SuperNOVA (FDH:J:A:A:2006090600) [Taro, windyfairy, Shiz]
Dance Dance Revolution SuperNOVA (FDH:U:A:A:2006072400) [Taro, windyfairy, Shiz]
Dance Dance Revolution SuperNOVA 2 (GDJ:A:A:A:2007071100) [Taro, windyfairy, Shiz]
Dance Dance Revolution SuperNOVA 2 (GDJ:A:A:A:2007100800) [Taro, windyfairy, Shiz]
Dance Dance Revolution SuperNOVA 2 (GDJ:J:A:A:2007071100) [Taro, windyfairy, Shiz]
Dance Dance Revolution SuperNOVA 2 (GDJ:J:A:A:2007100800) [Taro, windyfairy, Shiz]
Dance Dance Revolution SuperNOVA 2 (GDJ:U:A:A:2007100800) [Taro, windyfairy, Shiz]
Dancing Stage SuperNOVA (FDH:E:A:A:2006032200) [Shiz, windyfairy]
Dancing Stage SuperNOVA (FDH:E:A:A:2006072500) [Shiz, windyfairy]
DrumMania V (E02:A:A:A:2005050200) [Taro, windyfairy, Shiz]
DrumMania V (E02:J:A:A:2005050200) [Taro, windyfairy, Shiz]
DrumMania V2 (F02:A:A:A:2005101600) [Taro, windyfairy, Shiz]
DrumMania V2 (F02:A:A:A:2005112800) [Taro, windyfairy, Shiz]
DrumMania V2 (F02:A:A:A:2006011201) [Taro, windyfairy, Shiz]
DrumMania V2 (F02:J:A:A:2005101600) [Taro, windyfairy, Shiz]
DrumMania V2 (F02:J:A:A:2005112800) [Taro, windyfairy, Shiz]
DrumMania V2 (F02:J:A:A:2006011201) [Taro, windyfairy, Shiz]
DrumMania V3 (F32:A:A:A:2006072600) [Taro, windyfairy, Shiz]
DrumMania V3 (F32:A:A:A:2006101800) [Taro, windyfairy, Shiz]
DrumMania V3 (F32:J:A:A:2006072600) [Taro, windyfairy, Shiz]
DrumMania V3 (F32:J:A:A:2006101800) [Taro, windyfairy, Shiz]
Guitar Freaks V (E03:A:A:A:2005050200) [Taro, windyfairy, Shiz]
Guitar Freaks V (E03:J:A:A:2005050200) [Taro, windyfairy, Shiz]
Guitar Freaks V2 (F03:A:A:A:2005101600) [Taro, windyfairy, Shiz]
Guitar Freaks V2 (F03:A:A:A:2005112800) [Taro, windyfairy, Shiz]
Guitar Freaks V2 (F03:A:A:A:2006011201) [Taro, windyfairy, Shiz]
Guitar Freaks V2 (F03:J:A:A:2005101600) [Taro, windyfairy, Shiz]
Guitar Freaks V2 (F03:J:A:A:2005112800) [Taro, windyfairy, Shiz]
Guitar Freaks V2 (F03:J:A:A:2006011201) [Taro, windyfairy, Shiz]
Guitar Freaks V3 (F33:A:A:A:2006072600) [Taro, windyfairy, Shiz]
Guitar Freaks V3 (F33:A:A:A:2006101800) [Taro, windyfairy, Shiz]
Guitar Freaks V3 (F33:J:A:A:2006072600) [Taro, windyfairy, Shiz]
Guitar Freaks V3 (F33:J:A:A:2006101800) [Taro, windyfairy, Shiz]
Thrill Drive 3 (D44:J:A:A:20050316) [Taro, windyfairy, Shiz]
Toy's March (E00:J:A:A:2005011602) [Taro, windyfairy, Shiz]
Toy's March 2 (F00:J:A:A:2005110400) [Taro, windyfairy, Shiz]

New software list additions (kpython2.xml)
------------------------------------------
Dance Dance Revolution SuperNOVA 2 Install Disk (JAA/AAA) [Taro]
Dance Dance Revolution SuperNOVA 2 Install Disk (UAA) [Ninevolt]
Dance Dance Revolution SuperNOVA Install Disk (UAA) [HybridStorm]
Dancing Stage SuperNOVA Install Disk (EAA) [Shiz]
DrumMania V2 (JAA/AAA) [Taro]
DrumMania V2 Version 1.01 (JAA/AAA) [Taro]
DrumMania V3 (JAA/AAA) [SakamotoNeko]
GuitarFreaks V2 (JAA/AAA) [Taro]
GuitarFreaks V2 Version 1.01 (JAA/AAA) [Taro]
GuitarFreaks V3 (JAA/AAA) [SakamotoNeko]

-konami/kpython2.cpp: Attached upgrade DVD software list. [Vas Crabb]

-misc/supercrd.cpp: added some notes about the encryption, moved to funworld/supercrd.cpp [Ivan Vangelista]

-namco/baraduke.cpp, namco/namcond1.cpp, namco/tankbatt.cpp: consolidated drivers in single files, minor cleanups [Ivan Vangelista]

-source org: rename tehkan to tecmo [hap]

-senjyo: remove dead code that doesn't work anymore (can use debugger memory view instead) [hap]

-senjyo: improve dac sound [hap]

-bombjack: small cleanup [hap]

-source org: move pensebem to the handheld folder [hap]

-mn1610: new disassembler [Patrick Mackinlay]

-New working machines - Micom Mahjong [hap, David Haywood, Sly DC] (#10264) [David Haywood]

New working machines
--------------------
Micom Mahjong [hap, David Haywood, Sly DC]

-mess.flt: add micom_mahjong [hap]

-Super Pinball Action protoype - add emulation of 2nd screen (#10269) [David Haywood]
 * Super Pinball Action protoype - add emulation of 2nd screen

Clones promoted to working
--------------------------
Super Pinball Action (US, prototype, dual screen) [David Haywood]

-misc/magicard.cpp: Corrected Magic Card game names. (#10265) [Paul-Arnold]
 * Also changed short names to better reflect parent/clone relationships.

-spbactnp: reorder the mcfg [hap]

-sound/pokey.cpp: Improved accuracy of POKEY emulation. (#10262) [Mike Saarna, Andrew Green]
 * The implementation changes come from the a7800 project (https://github.com/7800-devtools/a7800).
 * Resolves: MT08219, and possibly MT08911 and MT07378.

-nintendo/spacefb.cpp: Merged into single source file, minor cleanups. (#10261) [0kmg]

-namco/namcos86.cpp: Changed Wonder Momo joysticks to 8-way (MT08404). (#10267) [Steven Coomber]

-snes.xml: Added two recent prototype dumps. (#10256) [0kmg]

New working software list additions (snes.xml)
----------------------------------------------
Kid Klown in Crazy Chase (Euro, prototype)</description> [Zoda-Y13, Forest of Illusion]

New NOT_WORKING software list additions (snes,xml)
--------------------------------------------------
WeaponLord (USA, prototype) [DrBizz]

-formats: Fixed some unused local variable compiler errors. (#10251) [napobear]

-funword/photoply.cpp: Added notes about security dongles. (#10260) [ClawGrip]

-lynx.xml: Use lowercase for desciptive text in descriptions. (#10248) [ArcadeShadow]

-ibm5170.xml: 7 new software additions + 1 Redump (#10247) [ArcadeShadow]

New working software list additions (ibm5170.xml)
-------------------------------------------------
PC Magazine (All Star - December 1992) [arranarchipelago, archive.org]
PC Plus (Issue 69 - June 1992) [arranarchipelago, archive.org]
PC Today (Vol. 06 № 08 - December 1992) [arranarchipelago, archive.org]
Personal Computer World (1994-04 - April 1994) [SmartCoda, archive.org]
Space Quest IV: Roger Wilco and the Time Rippers (Germany) [The Good Old Days]
Tetris Trio [The Good Old Days]
The Lost Files of Sherlock Holmes [The Good Old Days]

Redump (ibm5170.xml)
--------------------
Disney's Aladdin [Abandon Socios]

-seibu/raiden.cpp: Documented more of the configuration bytes, converted comments to C++-style. (#10266) [eientei95]

-intellect02.xml: Don’t use title case in software list description. (#10239) [ArcadeShadow]

-sega/deniam.cpp, sega/kopunch.cpp, sega/stactics.cpp, sega/suprloco.cpp: consolidated drivers in single files, minor cleanups
 [Ivan Vangelista]

-megaduck.xml: Added explicit info about cartridge banking. [Vas Crabb]
 * There are three kinds of cartridge: 32K flat, 16K fixed plus 16K switchable, and 32K switchable.  Cart implementation will come
    later.

-Various cleanups: [Vas Crabb]
 * gbcolor.xml: Proper Pinyin description for sqsd.
 * sound/pokey.cpp: Minor cleanup, and got rid of an unnecessary member in channel structures (only used in inline member
    functions).
 * nintendo/gb.cpp: Spell Mega Duck with a space consistently.
 * sega/turbo_a.cpp: Use an optional device finder to get discrete sound device.  The function that would add this seems to have
    been lost.

-c64_cass.xml: Added 16 items (15 working, 1 not working) (#10250) [Steven Coomber]

New working software list additions (c64_cass.xml)
--------------------------------------------------
Willow Pattern (Firebird) [The Ultimate Tape Archive Team]
Winter Camp (Thalamus) [The Ultimate Tape Archive Team]
Winter Games (U.S. Gold) [The Ultimate Tape Archive Team]
Winter Olympiad 88 (Tynesoft) [The Ultimate Tape Archive Team]
Wiz (Melbourne House) [The Ultimate Tape Archive Team]
Wizardry (The Edge) [The Ultimate Tape Archive Team]
Wizball (Ocean) [The Ultimate Tape Archive Team]
Wonder Boy (Activision) [The Ultimate Tape Archive Team]
World Championship Soccer (Elite Systems) [The Ultimate Tape Archive Team]
World Class Leader Board: The Ultimate Golf Challenge (U.S. Gold) [The Ultimate Tape Archive Team]
World Cup Carnival (U.S. Gold) [The Ultimate Tape Archive Team]
World Games (U.S. Gold) [The Ultimate Tape Archive Team]
World Series Baseball (Imagine) [The Ultimate Tape Archive Team]
The Worm in Paradise (Level 9 Computing) [The Ultimate Tape Archive Team]
X-15 Alpha Mission (Activision) [The Ultimate Tape Archive Team]

New NOT_WORKING software list additions (c64_cass.xml)
------------------------------------------------------
Wimbledon '64 (Merlin Software) [The Ultimate Tape Archive Team]

-Initial FAT file system support for Floptool (#9119) [npwoods]
 * Initial FAT file system support for Floptool
   - Current Limitations:
     * Read only
     * Only supports floppy disks
     * No FAT32 support
     * No Long Filenames Support

-sknsspr: don't draw outside the cliprect [hap]

-gb.cpp: Don't show BIOS patch configuration switch for Mega Duck. [Vas Crabb]

-galaxian.cpp: dumped the PROM in the epoxy block for bmxstunts [chaneman]

-technos/renegade.cpp: More sprite RAM to fix flickering regression. (#10272) [0kmg]

-nintendo/vboy.cpp: Allow it to run unmapped reads with no cartridge. [Vas Crabb]

-hash/gbcolor.xml: Added notes on what happens if you bypass the boot check for Rocket Games cartridges. [Vas Crabb]

-bus/vboy/slot.cpp: Don't instantiate a cartridge device when no media is loaded. [Vas Crabb]

-fmtowns_flop_orig.xml: 4 new dumps, 2 replacements (#10249) [r09]
 * Redumped Irium from the original disks, and removed the current entry in fmtowns_flop_misc.xml which was created from loose files
    [cyo.the.vile]
 * Redumped disk A of Youjuu Club Custom from an unmodified disk with no saves [cyo.the.vile]

New working software list additions (fmtowns_flop_orig.xml)
-----------------------------------------------------------
:LOOP - Izanai no Kaikiten [cyo.the.vile]
Disk Megastore Volume 1 [cyo.the.vile]
Power DoLLS S-Premium Disk [cyo.the.vile]
You-Jong Part I [cyo.the.vile]

-sknsspr: fix sign overflow [hap]

-Added support for building on OpenBSD/arm64. (#10274) [Frederic Cambus]

-moonwar: Remove deprecated PORT_RESET [AJR]

-bmxstunts: remove 'not dumped' note [hap]

-bmxstunts: slow down the cpu [hap]

-konami/ksys573.cpp: Dumped and added audio CD for drmna. (#10275) [Taro]

New machine marked NOT_WORKING (#10276)
---------------------------------------
DANCE 86.4 FUNKY RADIO STATION (E01:J:A:A:2005040400) [Taro]

-konami/kpython2.cpp: Fixed dongle data format for dance864. (#10277) [987123879113]

-bmxstunts: add cocktail cabinet [hap]

-taito\ashnojoe.cpp, taito/bigevglf.cpp, taito/chaknpop.cpp: consolidated drivers in single files, minor cleanups [Ivan Vangelista]

-taito/bigevglf.cpp: removed unused variable [Ivan Vangelista]

-redclash: improve sprite colors [hap]

-monon_color.cpp: Allocate large buffer at machine_start time [AJR]

-zerohour: added sound via samples [Robbbert]

new NOT_WORKING machines
------------------------
Magical Poppins [anonymous, MetalliC]
Western Dream Gold [anonymous, MetalliC]

-redclash: remove duplicate input ports [hap]

-New Apple II disks for August 2022 (#10280) [Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Microzine 1 [4am, Firehawke]
Microzine 2 [4am, Firehawke]
Microzine 3 [4am, Firehawke]
Microzine 4 [4am, Firehawke]
Microzine 5 [4am, Firehawke]
Microzine 6 [4am, Firehawke]
Microzine 7 [4am, Firehawke]
Microzine 8 [4am, Firehawke]
Microzine 9 [4am, Firehawke]
Microzine 10 [4am, Firehawke]
Microzine 11 [4am, Firehawke]
Microzine 12 [4am, Firehawke]
Microzine 13 [4am, Firehawke]
Microzine 14 [4am, Firehawke]
Microzine 15 [4am, Firehawke]
Microzine 16 [4am, Firehawke]
Microzine 17 [4am, Firehawke]
Microzine 18 [4am, Firehawke]
Microzine 19 [4am, Firehawke]
Microzine 20 [4am, Firehawke]
Microzine 21 [4am, Firehawke]
Microzine 22 [4am, Firehawke]
Microzine 23 [4am, Firehawke]
Microzine 24 [4am, Firehawke]
Microzine 25 [4am, Firehawke]
Microzine 26 [4am, Firehawke]
Microzine 27 [4am, Firehawke]
Microzine 28 [4am, Firehawke]
Microzine 29 [4am, Firehawke]
Microzine 30 [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Fraction-oids (1988 Version) (cleanly cracked) [4am, Firehawke]
Stickybear Numbers (Revision 3) (cleanly cracked) [4am, san inc, Firehawke]

-Small formatting correction: whitespace in apple2gs_flop_orig.xml [Firehawke]

-vboy.xml: Use official artwork spelling for "Insmouse". (#10278) [0kmg]

-Cleaned up some ROM macro indentation and spacing. (#10270) [0kmg]

-Added notes of Nuon console models (#10144) [simzy39]

-Use mpu4_characteriser_pal for mpu3.cpp (#10079) [David Haywood]
 * better MPU3 reel hookup [J. Wallace]

-Revert "zerohour: added sound via samples" [Robbbert]
 * This reverts commit 554bfeca29ce54dcf6ac4c859c48d56d2b8119b0.

-sparc: Re-support certain instructions in SPARClite disassembly [AJR]

-Use util::streqlower in more places [AJR]

-casio/ctk551.cpp: adjust ctk601 bg color (#10271) [Devin Acker]

-Miscellaneous fixes: [Vas Crabb]
 * util/ioprocsvec.h: Fixed truncating when a write doesn't reach the end of stream. [F.Ulivi]
 * floptool.cpp: Fixed reversed error checking logic. [F.Ulivi]
 * Fixed SUBTARGET=tiny build (required Sega encrypted CPUs to be added).

-inifile.cpp, miscmenu.cpp: Use std::collate for filename sorting [AJR]

-monon_color.cpp : rejig music CPU protection handling and update notes + new Monon Software List additions / c2color.cpp : dump C2
 internal ROM + Software Lists (#10246) [David Haywood]
 * monon_color.cpp : music MCU commands axxx really are reading a 0x1000 range from the internal ROM for a direct comparison, not
    sniffing the SPI bus.  Add some debugging code to run that if wanted for now, even if it's incomplete (defaults to suspending
    the CPU)

new WORKING software list entries
---------------------------------
monon_color.xml: [David Haywood]
ielts: Yǎsī tǎ dà màoxiǎn / 雅思塔大冒险 / IELTS Adventure [Peter Wilhelmsen]
ultbrain: Nǎolì liánlián kàn / 脑力连连看 / Ultimate Brain Power [Peter Wilhelmsen]
labmath: Àoshù shíyàn shì / 奥数实验室 / Laboratory Mathematica Olympiad [Peter Wilhelmsen]

-c2color changes [David Haywood]
 * added dumps of both internal SPI ROMs to the driver [Peter Wilhelmsen]

new NOT WORKING software list additions
---------------------------------------
c2color_cart.xml: [David Haywood]
agree: Dì 1 dàn: Dài Lóngwáng Fēngyìn [Peter Wilhelmsen]
kingwing: Dì 2 dàn: Zhī Yìwáng De Shì Liàn [Peter Wilhelmsen]

-replaced overdumped darkones set in Software List with correct dump [Peter Wilhelmsen]

-fidelity/csc: improve irq active duration [hap]

-adam_cass.xml: Use lowercase for descriptive text in descriptions. (#10284) [ArcadeShadow]
 * Lowercase on some descriptive words like "Alt", "Prototype", "Demo"

-adam_cart.xml: Use lowercase for descriptive text in descriptions. (#10283) [ArcadeShadow]

-redclash: bigger player bullets [hap]

-gbcolor.xml: Added 18 prototypes (15 working, 3 not working). (#10279) [0kmg]

New working software list additions (gbcolor.xml)
-------------------------------------------------
Antz (Europe, prototype) [VGHF, Hidden Palace]
Beach'n Ball (Europe, prototype, 20001121) [VGHF, Hidden Palace]
Bob et Bobette - Les Dompteurs du Temps ~ Suske en Wiske - De Tijdtemmers (Europe, late prototype) [VGHF, Hidden Palace]
Die Maus (Europe, prototype) [VGHF, Hidden Palace]
Die Maus - Verrückte Olympiade (Germany, prototype) [VGHF, Hidden Palace]
Driver (Europe, prototype) [VGHF, Hidden Palace]
Klustar (Europe, prototype, 19981001) [VGHF, Hidden Palace]
Klustar (Japan, prototype, 19981001) [VGHF, Hidden Palace]
Looney Tunes Collector - Martian Alert! (Europe, prototype) [VGHF, Hidden Palace]
Lucky Luke - Desperado Train (Europe, prototype) [VGHF, Hidden Palace]
Moomin no Daibouken (Japan, prototype) [VGHF, Hidden Palace]
Snoopy Tennis (Europe, prototype) [VGHF, Hidden Palace]
Tootuff (prototype) [VGHF, Hidden Palace]
UEFA 2000 (prototype) [VGHF, Hidden Palace]
WDL - Thundertanx (prototype) [VGHF, Hidden Palace]

New NOT_WORKING software list additions (gbcolor.xml)
-----------------------------------------------------
The Adventures of Tintin - Prisoners of the Sun (Europe, prototype) [VGHF, Hidden Palace]
Bob et Bobette - Les Dompteurs du Temps ~ Suske en Wiske - De Tijdtemmers (Europe, early prototype) [VGHF, Hidden Palace]
Worms Armageddon (prototype) [VGHF, Hidden Palace]

-adam_flop.xml: Use lowercase for descriptive text and unabbreviated country names in descriptions. (#10285) [ArcadeShadow]

-formats/fdos_dsk.cpp: Added FDOS disk format for the SWTPC 6800. (#10273) [Michael R. Furman]
 * Allows the SWTPC 6800 machine to boot FDOS in MAME using Mike Douglas' FDOSMPS.DSK, and to read/write other available disk
    images.

-c64_cass.xml: Added 10 items (9 working, 1 not working) (#10255) [Steven Coomber]

New working software list additions
-----------------------------------
Xevious (U.S. Gold) [The Ultimate Tape Archive Team]
Yabba Dabba Doo! (Quicksilva) [The Ultimate Tape Archive Team]
Yie Ar Kung-Fu (Imagine) [The Ultimate Tape Archive Team]
Zaga Mission (Anirog) [The Ultimate Tape Archive Team]
Zamzara (Prism Leisure) [The Ultimate Tape Archive Team]
Zaxxon (U.S. Gold) [The Ultimate Tape Archive Team]
Zodiac (Anirog) [The Ultimate Tape Archive Team]
Zoids: The Battle Begins (Martech) [The Ultimate Tape Archive Team]
Zzap! Sizzlers II (Gremlin Graphics) [The Ultimate Tape Archive Team]

New NOT_WORKING software list additions
---------------------------------------
Yie Ar Kung Fu II (Imagine) [The Ultimate Tape Archive Team]

-swtcp/swtpc09.cpp: Restore to working status, and added comments to help users. (#10062) [68bit]
 * Retested all of these and they are still working. Did not have a UniFLEX DMAF2 disk to test that one combination, but it should
    be close to working.
 * Added comments to help people make a start with these.

Machines promoted to working
----------------------------
SWTPC swtpc S/09 Sbug [68bit]

Clones promoted to working
--------------------------
SWTPC swtpc S/09 Sbug + piaide [68bit]
SWTPC swtpc S/09 UNIBug + DMAF2 [68bit]
SWTPC swtpc S/09 UNIBug + DMAF3 [68bit]
SWTPC swtpc S/09 OS9 [68bit]

-nintendo/vsnes.cpp: More cleanups of INPUT_PORTS. (#10238) [0kmg]
 * Use macros for the common repeated definitions of joystick, coins, etc.
 * Player buttons are "B" and "A", like the real panels. Start buttons have number and color, etc.
 * bnglngby, iceclimb, jajamaru, nvs_machridera, supxevs, tkoboxng: Removed as many modifications from the base VS. machine IO ports
    as possible.
 * Adjusted coin PORT_IMPULSE closer to hardware, so that all games now work with it.
 * Updated notes on why Coin 2 inputs don't work in some games.

-srcclean in preparation for release [Vas Crabb]

-bus/mononcol: Get rid of a pile of copy/pasted crud. [Vas Crabb]

-misc/monon_color.cpp: Zero video memory on reset. [Vas Crabb]
 * Also keep data member declartions grouped, and use constants for video width/height.

-myvision.xml: Added Japanese titles for software items and listed undumped cartridges. [kmg]

-nintendo/vsnes.cpp: Added some DIP settings for nvs_machridera. (#10290) [0kmg]

-Work around older versions of libc++, tidy up some recent changes. [Vas Crabb]
